Index: general.ent
===================================================================
--- general.ent	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ general.ent	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -4,9 +4,9 @@
 -->
 
-<!ENTITY day          "21">                   <!-- Always 2 digits -->
-<!ENTITY month        "01">                   <!-- Always 2 digits -->
+<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2008">
 <!ENTITY version      "svn-&year;&month;&day;">
-<!ENTITY releasedate  "January &day;st, &year;">
+<!ENTITY releasedate  "January &day;th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libdrm.xml
===================================================================
--- general/genlib/libdrm.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ general/genlib/libdrm.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -64,6 +64,6 @@
     <title>Installation of libdrm</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/xorg7-only.xml"/>
+    <!-- <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/xorg7-only.xml"/> -->
 
     <para>Install <application>libdrm</application> by running the following
Index: general/genutils/rman.xml
===================================================================
--- general/genutils/rman.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ general/genutils/rman.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -64,6 +64,6 @@
     <title>Installation of rman</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/xorg7-only.xml"/>
+    <!-- <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/xorg7-only.xml"/> -->
 
     <para>rman is no longer part of the <application>Xorg</application>
Index: general/genutils/xterm.xml
===================================================================
--- general/genutils/xterm.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ general/genutils/xterm.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -74,6 +74,6 @@
     <title>Installation of xterm</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/xorg7-only.xml"/>
+    <!-- <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/xorg7-only.xml"/> -->
 
     <para>Install <application>xterm</application> by running the
Index: gnome/add/gnome-mag.xml
===================================================================
--- gnome/add/gnome-mag.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ gnome/add/gnome-mag.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -87,7 +87,7 @@
     </para>
 
-    <para>* Ensure you created the
+    <!-- <para>* Ensure you created the
     <filename>xextensions.pc</filename> file as shown in the
-    <xref linkend="xfree86"/> instructions.</para>
+    <xref linkend="xfree86"/> instructions.</para> -->
 
     <para condition="html" role="usernotes">User Notes:
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ introduction/welcome/changelog.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -41,4 +41,13 @@
 
 -->
+
+    <listitem>
+      <para>February 5th, 2008</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Removed XFree86.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: x/installing/installing.xml
===================================================================
--- x/installing/installing.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ x/installing/installing.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -17,35 +17,16 @@
 
   <para>This chapter contains instructions to build and configure a graphical
-  user environment. You will need to choose one of the two packages in BLFS
-  that implements the <application>X Window System</application>:
-  <application>Xorg</application> X11R7 (<xref linkend="xorg7"/>), or
-  <application>XFree86</application> (<xref linkend="xfree86"/>). The
-  functionality of these two packages is quite similar. In fact,
-  the base system of <application>Xorg</application> was derived from the
-  <application>XFree86</application>-4.4.0RC2 code (note that the
-  <application>Xorg</application> build system has changed, but the underlying
-  core code is the same). Differences in the licensing philosophies was the
-  original reason for the split.</para>
-
-  <para>A second reason for the forking of <application>X</application>
-  packages is the stated goals of the developers. Some developers were unhappy
-  with the administration and progress of <application>XFree86</application>.
-  The X.org Foundation's future plans include significant improvements to the
-  internals of the system and more frequent releases.</para>
-
+  user environment.</para>
+  
   <para><application>Xorg</application>-&xorg7-version; introduces a completely
   autotooled build system which means that the packages build and install
   using the conventional <command>configure</command>, <command>make</command>
-  and <command>make install</command> commands, but it now requires installing
+  and <command>make install</command> commands, but it requires installing
   more than 100 different packages. Most large commercial distributions have
-  decided to use the <application>Xorg</application> package, but several still
-  provide <application>XFree86</application>.</para>
+  decided to use the <application>Xorg</application> package.</para>
 
-  <para><application>XFree86</application> continues to be a solid,
-  conservative application with excellent driver support.</para>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xmono-dummy.xml"/>
+  <!-- <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xmono-dummy.xml"/> -->
   <!-- <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xorg.xml"/> -->
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xfree86.xml"/>
+  <!-- <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xfree86.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xorg7-dummy.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xorg7.xml"/>
Index: x/installing/luit.xml
===================================================================
--- x/installing/luit.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ x/installing/luit.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -69,6 +69,6 @@
     <title>Installation of Luit</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/xorg7-only.xml"/>
+    <!-- <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/xorg7-only.xml"/> -->
 
     <para>Install luit with the following commands:</para>
Index: x/installing/x-setup.xml
===================================================================
--- x/installing/x-setup.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ x/installing/x-setup.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -239,6 +239,6 @@
     System</application> should be displayed.</para>
 
-    <para>For a list of the package contents and a description of the commands,
-    see the sections in the <xref linkend='xfree86-contents'/>.</para>
+    <!-- <para>For a list of the package contents and a description of the commands,
+    see the sections in the <xref linkend='xfree86-contents'/>.</para> -->
 
   </sect2>
@@ -256,5 +256,5 @@
     To enable direct rendering using the OpenGL implementation from
     <xref linkend="mesalib"/> (built separately with <xref linkend="xorg7"/>
-    or included with <xref linkend="xfree86"/>),
+    <!-- or included with <xref linkend="xfree86"/> -->),
     the "glx" and "dri" modules must be loaded.  Additionally, the created
     device nodes in <filename class="directory">/dev/dri</filename> must
Index: x/installing/xorg.xml
===================================================================
--- x/installing/xorg.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ x/installing/xorg.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -444,6 +444,6 @@
     by users only.</quote></para>
 
-    <para>For a list of the package contents, see the sections in the
-    <xref linkend='xfree86-contents'/>.</para>
+    <!-- <para>For a list of the package contents, see the sections in the
+    <xref linkend='xfree86-contents'/>.</para> -->
 
   </sect2>
Index: x/installing/xorg7-dummy.xml
===================================================================
--- x/installing/xorg7-dummy.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ x/installing/xorg7-dummy.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -9,5 +9,5 @@
   </sect1info>
 
-  <title>Modular X Window System</title>
+  <title>The X Window System</title>
   <para/>
 </sect1>
Index: x/lib/mesalib.xml
===================================================================
--- x/lib/mesalib.xml	(revision 718ef799989d8ab5d0bddf1c92e925b7ebda8de7)
+++ x/lib/mesalib.xml	(revision 275005c4f26179ca0ae951c11975ba984c1c029c)
@@ -104,6 +104,6 @@
     <xref linkend="expat"/></para>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/xorg7-only.xml"/>
+    <!-- <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/xorg7-only.xml"/> -->
 
     <!-- <note>