Index: general.ent
===================================================================
--- general.ent	(revision 2565779594c39b4b4d7419210421e30264a1d1b0)
+++ general.ent	(revision 287130e02e34a83e224f332802203b57919d6de2)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "10">                   <!-- Always 2 digits -->
+<!ENTITY day          "11">                   <!-- Always 2 digits -->
 <!ENTITY month        "04">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "April 10th, &year;">
+<!ENTITY releasedate  "April 11th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome/applications/gnome-screenshot.xml
===================================================================
--- gnome/applications/gnome-screenshot.xml	(revision 2565779594c39b4b4d7419210421e30264a1d1b0)
+++ gnome/applications/gnome-screenshot.xml	(revision 287130e02e34a83e224f332802203b57919d6de2)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs82_checked;
+    <!-- &lfs82_checked; -->
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -90,4 +90,13 @@
     <title>Installation of GNOME Screenshot</title>
 
+    <note><para>There is a build problem caused by a file installed by gettext
+    in LFS.  If gettext was installed with instructions before the 
+    April 11, 1018 version of LFS, run the following as the 
+    <systemitem class="username">root</systemitem> user:</para>
+
+<screen><userinput>sed -e '/AppData/N;N;p;s/\.appdata\./.metainfo./' \
+    -i /usr/share/gettext-0.19.8/its/appdata.loc</userinput></screen>
+    </note>
+
     <para>
       Install <application>GNOME Screenshot</application> by running the following
@@ -99,14 +108,5 @@
 
 meson --prefix=/usr .. &amp;&amp;
-
-sed '/^build all/s@src/org.gnome.Screenshot.metainfo.xml@@' \
-    -i build.ninja                          &amp;&amp;
-cp ../src/org.gnome.Screenshot.metainfo.xml.in \
-      src/org.gnome.Screenshot.metainfo.xml &amp;&amp;
-
 ninja</userinput></screen>
-
-<!-- The sed and cp above are to work around a problem with current itstool
-     remove once resolved... -->
 
     <para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2565779594c39b4b4d7419210421e30264a1d1b0)
+++ introduction/welcome/changelog.xml	(revision 287130e02e34a83e224f332802203b57919d6de2)
@@ -43,4 +43,24 @@
 -->
    <listitem>
+      <para>April 11, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update xfburn dependencies.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Remove obsolete note in gtk+3.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnupg-2.2.6.  Fixes
+          <ulink url="&blfs-ticket-root;10640">#10640</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update gnome-screenshot instructions.  Fixes
+          <ulink url="&blfs-ticket-root;10112">#10``2</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+   <listitem>
       <para>April 10, 2018</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 2565779594c39b4b4d7419210421e30264a1d1b0)
+++ packages.ent	(revision 287130e02e34a83e224f332802203b57919d6de2)
@@ -15,5 +15,5 @@
 <!ENTITY cryptsetup-version           "&cryptsetup-minor;.2">
 <!ENTITY cyrus-sasl-version           "2.1.26">
-<!ENTITY gnupg2-version               "2.2.5">
+<!ENTITY gnupg2-version               "2.2.6">
 <!ENTITY gnutls-version               "3.5.18">
 <!ENTITY gpgme-version                "1.10.0">
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision 2565779594c39b4b4d7419210421e30264a1d1b0)
+++ postlfs/security/gnupg2.xml	(revision 287130e02e34a83e224f332802203b57919d6de2)
@@ -9,8 +9,8 @@
   <!-- <!ENTITY gnupg2-download-ftp  "&gnupg-ftp;/gnupg/gnupg-&gnupg2-version;.tar.bz2"> -->
   <!ENTITY gnupg2-download-ftp  " ">
-  <!ENTITY gnupg2-md5sum        "567cd2d41fa632903066fde73d2005cb">
+  <!ENTITY gnupg2-md5sum        "2b13d3b6db10b9e93c828703fd6ff823">
   <!ENTITY gnupg2-size          "6.3 MB">
-  <!ENTITY gnupg2-buildsize     "136 MB (with all tests; add 24 MB for docs)">
-  <!ENTITY gnupg2-time          "0.3 SBU (using parallelism=4; add 1.5 SBU for tests)">
+  <!ENTITY gnupg2-buildsize     "111 MB (with all tests; add 24 MB for docs)">
+  <!ENTITY gnupg2-time          "0.3 SBU (using parallelism=4; add 1.9 SBU for tests)">
 ]>
 
@@ -130,5 +130,4 @@
 <screen><userinput>./configure --prefix=/usr            \
             --enable-symcryptrun     \
-            --enable-maintainer-mode \
             --docdir=/usr/share/doc/gnupg-&gnupg2-version; &amp;&amp;
 make &amp;&amp;
@@ -197,7 +196,4 @@
     building the symcryptrun program.</para>
 
-    <para><parameter>--enable-maintainer-mode</parameter>: This switch is
-    needed for proper completion of the tests.</para>
-
     <para>
       <option>--enable-all-tests</option>: allows more tests to be run whith
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 2565779594c39b4b4d7419210421e30264a1d1b0)
+++ x/lib/gtk+3.xml	(revision 287130e02e34a83e224f332802203b57919d6de2)
@@ -126,5 +126,5 @@
   <sect2 role="installation">
     <title>Installation of GTK+ 3</title>
-
+<!--
     <note>
       <para>
@@ -134,9 +134,9 @@
         programs provide same functionality.  If you wish to keep one from
         <application>GTK+ 2</application> you can add
-        <option>--enable-gtk2-dependency</option> to the
+        <option>- -enable-gtk2-dependency</option> to the
         <command>configure</command> command.
       </para>
     </note>
-
+-->
     <para>
       Install <application>GTK+ 3</application> by running the following
Index: xfce/apps/xfburn.xml
===================================================================
--- xfce/apps/xfburn.xml	(revision 2565779594c39b4b4d7419210421e30264a1d1b0)
+++ xfce/apps/xfburn.xml	(revision 287130e02e34a83e224f332802203b57919d6de2)
@@ -78,7 +78,8 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="exo"/>,
-      <xref linkend="libxfce4util"/>, and
-      <xref linkend="libisoburn"/>
+      <xref linkend="exo"/>, 
+      <xref linkend="libburn"/>,
+      <xref linkend="libisofs"/>, and
+      <xref linkend="libxfce4util"/>
     </para>
 