Index: kde/kf5-apps/kdepim.xml
===================================================================
--- kde/kf5-apps/kdepim.xml	(revision 288406c7718def3a79f9d5926c253143fe820495)
+++ kde/kf5-apps/kdepim.xml	(revision 288406c7718def3a79f9d5926c253143fe820495)
@@ -0,0 +1,207 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="kdepim5" xreflabel="Kdepim-&kdepim5-version;">
+  <?dbhtml filename="kdepim.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Kdepim-&kdepim5-version;</title>
+
+  <indexterm zone="kdepim5">
+    <primary sortas="a-Kdepim">Kdepim</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Kdepim</title>
+
+    <para>
+      The <application>Kdepim</application> package contains mail clients,
+      addressbooks, Usenet news, scheduling and sticky notes software.
+    </para>
+
+    &lfs77_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&kdepim5-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&kdepim5-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &kdepim5-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &kdepim5-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &kdepim5-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &kdepim5-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Kdepim Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="akonadi-search"/>,
+      <xref linkend="baloo5"/>,
+      <xref linkend="kdepimlibs5"/>,
+      <xref linkend="kf5"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libassuan"/> and
+      <xref linkend="libkgapi"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <ulink url="http://quickgit.kde.org/?p=prison.git">Prison (Qt5 version)</ulink>
+    </para>
+
+    <bridgehead renderas="sect4">Runtime Dependencies</bridgehead>
+    <para role="required">
+      <xref linkend="kdepim-runtime5"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/kdepim5"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Kdepim</title>
+
+    <para>
+      Install <application>Kdepim</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release         \
+      -DLIB_INSTALL_DIR=lib              \
+      -DKDEPIM_BUILD_MOBILE=OFF          \
+      -DQT_PLUGIN_INSTALL_DIR=&qt5-plugins-dir; \
+      -Wno-dev .. &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/cmake-release.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/kf5-libdir.xml"/>
+
+    <para>
+      <parameter>-DKDEPIM_BUILD_MOBILE=OFF</parameter>: This switch is
+      used to prevent building of the mobile versions of
+      <application>Kdepim</application> applications since they are
+      not useful on a desktop.
+    </para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/qt5-plugins-dir.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          accountwizard, akonadi_archivemail_agent, akonadiconsole,
+          akonadi_followupreminder_agent, akonadi_mailfilter_agent,
+          akonadi_notes_agent, akonadi_sendlater_agent, akregator,
+          akregatorstorageexporter, blogilo, calendarjanitor,
+          contactthemeeditor, headerthemeeditor, ical2vcal,
+          importwizard, ispdb, kaddressbook, kalarm, kalarmautostart,
+          kgpgconf, kincidenceeditor, kleopatra, kmail, kmailcvt,
+          knotes, konsolekalendar, kontact, korgac, korganizer,
+          ktnef, kwatchgnupg, mboximporter, pimsettingexporter,
+          sieveeditor and storageservicemanager
+        </seg>
+        <seg>
+          libakonadi_next.so, libakregatorinterfaces.so, libakregatorprivate.so,
+          libcalendarsupport.so, libcomposereditorng.so, libeventviews.so,
+          libfollowupreminder.so, libgrantleethemeeditor.so, libgrantleetheme.so,
+          libincidenceeditorsngmobile.so, libincidenceeditorsng.so,
+          libkaddressbookgrantlee.so, libkaddressbookprivate.so,
+          libkdepimdbusinterfaces.so, libkdepim.so, libkdgantt2.so,
+          libkleopatraclientcore.so, libkleopatraclientgui.so, libkleo.so,
+          libkmailprivate.so, libkmanagesieve.so, libknotesprivate.so,
+          libkontactprivate.so, libkorganizer_core.so, libkorganizer_interfaces.so,
+          libkorganizerprivate.so, libkpgp.so, libksieve.so, libksieveui.so,
+          libmailcommon.so, libmailimporter.so, libmessagecomposer.so,
+          libmessagecore.so, libmessagelist.so, libmessageviewer.so,
+          libnoteshared.so, libpimcommon.so, libsendlater.so and
+          libtemplateparser.so
+        </seg>
+        <seg>
+          $KF5_PREFIX/lib/akonadi/contact,
+          $KF5_PREFIX/&qt5-plugins-dir;/{designer,grantlee},
+          $KF5_PREFIX/share/akonadi/{accountwizard,agents},
+          $KF5_PREFIX/share/{akregator,composereditor},
+          $KF5_PREFIX/share/doc/HTML/*/{akonadi_archivemail_agent,akonadi_notes_agent,akonadi_sendlater_agent},
+          $KF5_PREFIX/share/doc/HTML/*/{akregator,blogilo,contactthemeeditor,headerthemeeditor,importwizard},
+          $KF5_PREFIX/share/doc/HTML/*/{kalarm,kleopatra,kmail,kmailcvt,knotes,konsolecalendar,kontact},
+          $KF5_PREFIX/share/doc/HTML/*/{kontact-admin,korganizer,ktnef,kwatchgnupg,pimsettingexporter,sieveeditor},
+          $KF5_PREFIX/share/{kaddressbook,kalarm,kdepimwidgets,kleopatra,kmail2,kmailcvt},
+          $KF5_PREFIX/share/{knode,knotes,kontact,korgac,korganizer,kwatchgnupg},
+          $KF5_PREFIX/share/kxmlgui5/{akonadiconsole,akregator,blogilo,contactthemeeditor,headerthemeeditor},
+          $KF5_PREFIX/share/kxmlgui5/{kaddressbook,kalarm,kleopatra,kmail2,knotes,kontact,kontactsummary,korganizer},
+          $KF5_PREFIX/share/kxmlgui5/{ktnef,kwatchgnupg,pimsettingexporter,sieveeditor,storageservicemanager} and
+          $KF5_PREFIX/share/{libkleopatra,libmessageviewer,messagelist,messageviewer,pimsettingexporter,sieve}
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+</sect1>