Index: x/installing/x-setup.xml
===================================================================
--- x/installing/x-setup.xml	(revision 0bfe309aff9143f7e52e37b57e5387d03364c944)
+++ x/installing/x-setup.xml	(revision 310960e48bda17e1c2e1b8e20f4f08d1582c5698)
@@ -15,20 +15,23 @@
 
 <sect2 id='dri'>
-<title>Checking Direct Rendering Infrastructure (<acronym>DRI</acronym>) Installation</title>
+<title>Checking Direct Rendering Infrastructure (<acronym>DRI</acronym>) 
+Installation</title>
 
 <indexterm zone="x-setup dri">
-  <primary sortas="g-x-setup">DRI</primary>
-</indexterm>
-
-<para><acronym>DRI</acronym> is a framework for allowing software to access graphics hardware
-in a safe and efficient manner.  It is installed in
-<application>X</application> by default if 
-you have a supported video card.  To check if <acronym>DRI</acronym> is installed properly, 
-check the log file <filename>/var/log/XFree86.0.log</filename> or
+  <primary sortas="g-DRI">DRI</primary>
+</indexterm>
+
+<para><acronym>DRI</acronym> is a framework for allowing software to access 
+graphics hardware in a safe and efficient manner. It is installed in
+<application>X</application> by default if you have a supported video card. 
+To check if <acronym>DRI</acronym> is installed properly, check the log file 
+<filename>/var/log/XFree86.0.log</filename> or
 <filename>/var/log/Xorg.0.log</filename> for statements like:</para>
 
 <screen>(II) R128(0): Direct rendering enabled</screen>
 
-<para>From an <command>xterm</command>, run <command>glxinfo</command> and look for the phrase:</para> 
+<para>From an <command>xterm</command>, run <command>glxinfo</command> and 
+look for the phrase:</para> 
+
 <screen>direct rendering: Yes</screen>
 
@@ -48,8 +51,8 @@
 </indexterm>
 
-
-<para>For troubleshooting problems, check the <acronym>DRI</acronym> Users Guide at
-<ulink url="http://dri.sourceforge.net/doc/DRIuserguide.html"/>.
-</para>
+<para>For troubleshooting problems, check the <acronym>DRI</acronym> Users 
+Guide at 
+<ulink url="http://dri.sourceforge.net/doc/DRIuserguide.html"/>.</para>
+
 </sect2>
 
@@ -69,5 +72,4 @@
 
 <itemizedlist>
-
 <listitem><para>Establish a directory for the fonts and move any 
 <application>TrueType</application> fonts you want into that directory. 
@@ -79,10 +81,11 @@
 
 <listitem><para>Create the <filename>fonts.scale</filename> and 
-<filename>fonts.dir</filename> files in the
+<filename>fonts.dir</filename> files in the 
 <application>TrueType</application> font 
 directory.</para></listitem>
 
-<listitem><para>Ensure the <application>TrueType</application> module is loaded in the
-<filename>XF86Config</filename> or <filename>xorg.conf</filename>.</para></listitem>
+<listitem><para>Ensure the <application>TrueType</application> module is 
+loaded in the <filename>XF86Config</filename> or 
+<filename>xorg.conf</filename>.</para></listitem>
 
 <listitem><para>Ensure the <parameter>FontPath</parameter> in 
@@ -90,4 +93,7 @@
 <application>TrueType</application> font directory.</para></listitem>
 
+<listitem><para>Update the font cache files</para></listitem>
+</itemizedlist>
+
 <indexterm zone="x-setup fonts">
   <primary sortas="e-etc-X11-xorg.conf">/etc/X11/xorg.conf</primary>
@@ -98,25 +104,23 @@
 </indexterm>
 
-<listitem><para>Update the font cache files</para></listitem>
-
-</itemizedlist>
-
-<sect3><title>Establish a <application>TrueType</application> font directory</title>
-
-<para>The build of <application>X</application> as given above
-automatically creates a <application>TrueType</application>
-font directory: <filename class="directory">/usr/X11R6/lib/X11/fonts/TTF</filename>.  This
-directory already has some <application>TrueType</application> fonts and is set up correctly.
-If this directory is satisfactory, copy any other
-<application>TrueType</application> fonts you want
-into that directory.  If not, create a new directory, preferably in
-the <filename class="directory">/usr/X11R6/lib/X11/fonts/</filename> directory and put 
-your <application>TrueType</application> fonts there.</para></sect3>
+<sect3><title>Establish a <application>TrueType</application> font 
+directory</title>
+
+<para>The build of <application>X</application> as given above automatically 
+creates a <application>TrueType</application> font directory: 
+<filename class="directory">/usr/X11R6/lib/X11/fonts/TTF</filename>. This 
+directory already has some <application>TrueType</application> fonts and is 
+set up correctly. If this directory is satisfactory, copy any other 
+<application>TrueType</application> fonts you want into that directory. If 
+not, create a new directory, preferably in the 
+<filename class="directory">/usr/X11R6/lib/X11/fonts/</filename> directory and 
+put your <application>TrueType</application> fonts there.</para>
+</sect3>
 
 <sect3><title>Download the fonts</title>
 
 <para>There are two known high quality free font resources:
-<ulink url="ftp://ftp.gnu.org/savannah/files/freefont/"/> and <ulink
-url="http://corefonts.sourceforge.net/"/>. Copy the fonts (files with
+<ulink url="ftp://ftp.gnu.org/savannah/files/freefont/"/> and 
+<ulink url="http://corefonts.sourceforge.net/"/>. Copy the fonts (files with 
 the <filename>.ttf</filename> suffix) to the directory you've just
 created.</para>
@@ -139,5 +143,6 @@
         Load  "freetype"
         ...
-EndSection</screen></para></sect3>
+EndSection</screen></para>
+</sect3>
 
 <sect3><title>Ensure the <parameter>FontPath</parameter> in
@@ -177,5 +182,4 @@
 </indexterm>
 
-
 <para><application>X</application> will now be able to use
 <application>TrueType</application> fonts when it is restarted.
@@ -200,5 +204,6 @@
 practice. To set up a keyboard for Latin and non-Latin input, 
 change the XkbLayout keyboard driver option in the InputDevice section
-of the <filename>XF86Config</filename> or <filename>xorg.conf</filename> file.  For example:</para>
+of the <filename>XF86Config</filename> or <filename>xorg.conf</filename> file. 
+For example:</para>
 
 <screen>   Section "InputDevice"
@@ -211,6 +216,6 @@
 
 <para>In this example, you can use the Alt-Shift combination to switch
-between keyboard layouts and use the Scroll Lock <acronym>LED</acronym> to indicate when
-the second layout is active.</para>
+between keyboard layouts and use the Scroll Lock <acronym>LED</acronym> to 
+indicate when the second layout is active.</para>
 </sect2>
 
@@ -219,15 +224,13 @@
 <title>Setting up fonts</title>
 
-<para>Users using character sets other than <acronym>ISO</acronym>-8859-1 have to
-make a few adjustments to their font settings in order to
-make sure that fonts with
-the correct encoding are used for "fixed", "variable", "10x20" and
+<para>Users using character sets other than <acronym>ISO</acronym>-8859-1 have 
+to make a few adjustments to their font settings in order to make sure that 
+fonts with the correct encoding are used for "fixed", "variable", "10x20" and
 similar aliases:</para>
     
 <para>For Cyrillic alphabet, it is sufficient to put the following line
 into the top of the "Files" section in <filename>XF86Config</filename>
-or <filename>xorg.conf</filename>
-because this directory already contains the needed bitmap fonts and
-their aliases:</para>
+or <filename>xorg.conf</filename> because this directory already contains 
+the needed bitmap fonts and their aliases:</para>
 
 <screen>FontPath     "/usr/X11R6/lib/X11/fonts/cyrillic/"</screen>
@@ -270,6 +273,6 @@
 <para>There are many options that can be set in
 <application>X</application> and <application>X</application> clients via
-resources.  Typically resources are set in the <filename>~/.Xresources</filename>
-file.</para>
+resources.  Typically resources are set in the 
+<filename>~/.Xresources</filename> file.</para>
 
 <para>The layout of the <filename>~/.Xresources</filename> file consists
@@ -277,5 +280,5 @@
 
 <indexterm zone="x-setup x-resources">
-  <primary sortas="e-AA-.xresources">~/.Xresources</primary>
+  <primary sortas="e-AA.xresources">~/.Xresources</primary>
 </indexterm>
 
@@ -298,17 +301,18 @@
 <screen>*background: blue</screen>
 
-<para>More specific resource variables will override less specific names. </para>
+<para>More specific resource variables will override less specific names.</para>
 
 <para>Resource definitions can be found in the man pages for each
 respective client.</para>
 
-<para>In order to load your resources, the <command>xrdb</command> 
-program must be
-called with the appropriate parameters.  Typically, the first time 
+<para>In order to load your resources, the <command>xrdb</command> program 
+must be called with the appropriate parameters. Typically, the first time 
 resources are loaded, you use:</para>
 
 <screen><userinput><command>xrdb -load &lt;filename&gt;</command></userinput></screen>
 
-<para>To add resources to <application>X</application>'s database in memory, use:</para>
+<para>To add resources to <application>X</application>'s database in memory, 
+use:</para>
+
 <screen><userinput><command>xrdb -merge &lt;filename&gt;</command></userinput></screen>
 
@@ -322,4 +326,5 @@
 
 </sect2>
+
 </sect1>
 