Index: general.ent
===================================================================
--- general.ent	(revision 798c542103fc15592238b284b52f485c4a9c0060)
+++ general.ent	(revision 314919e4108308a52dcffc3233ca4fe1c858933a)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "13">                   <!-- Always 2 digits -->
+<!ENTITY day          "15">                   <!-- Always 2 digits -->
 <!ENTITY month        "04">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "April 13th, &year;">
+<!ENTITY releasedate  "April 15th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision 798c542103fc15592238b284b52f485c4a9c0060)
+++ general/graphlib/gegl.xml	(revision 314919e4108308a52dcffc3233ca4fe1c858933a)
@@ -7,5 +7,5 @@
   <!ENTITY gegl-download-http "https://download.gimp.org/pub/gegl/0.3/gegl-&gegl-version;.tar.bz2">
   <!ENTITY gegl-download-ftp  " ">
-  <!ENTITY gegl-md5sum        "c23a0ba775bf0f51afa7a999b3b430a3">
+  <!ENTITY gegl-md5sum        "c6241677622f34f4281ee1ec3494b1ca">
   <!ENTITY gegl-size          "6.4 MB">
   <!ENTITY gegl-buildsize     "127 MB (add 22 MB for tests)">
Index: general/prog/subversion.xml
===================================================================
--- general/prog/subversion.xml	(revision 798c542103fc15592238b284b52f485c4a9c0060)
+++ general/prog/subversion.xml	(revision 314919e4108308a52dcffc3233ca4fe1c858933a)
@@ -7,9 +7,11 @@
   <!ENTITY subversion-download-http "https://archive.apache.org/dist/subversion/subversion-&subversion-version;.tar.bz2">
   <!ENTITY subversion-download-ftp  " ">
-  <!ENTITY subversion-md5sum        "05b0c677681073920f938c1f322e0be2">
-  <!ENTITY subversion-size          "7.6 MB">
-  <!-- for 1.9.7 with only perl and python, tests are less than 6 SBU -->
-  <!ENTITY subversion-buildsize     "198 MB (add 173 MB for bindings, 24 MB for docs, 1 GB for tests)">
-  <!ENTITY subversion-time          "1.2 SBU (add 1.4 SBU for bindings, 6.0 SBU for tests)">
+  <!ENTITY subversion-md5sum        "0126847f9e8cb8ed0b90a6a18b203309">
+  <!ENTITY subversion-size          "8.0 MB">
+  <!-- for 1.10.0 
+       make javahl: 0.3 SBU 22 MB; 
+       swig-pl swig-py and swig-rb: 1.2 SBU 95 MB -->
+  <!ENTITY subversion-buildsize     "166 MB (add 117 MB for bindings, 24 MB for docs, 1.0 GB for tests)">
+  <!ENTITY subversion-time          "0.5 SBU (Using parallelism=4; add 1.5 SBU for bindings, 22 SBU for tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 798c542103fc15592238b284b52f485c4a9c0060)
+++ introduction/welcome/changelog.xml	(revision 314919e4108308a52dcffc3233ca4fe1c858933a)
@@ -43,4 +43,18 @@
 -->
    <listitem>
+      <para>April 15, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to subversion-1.10.0.  Fixes
+          <ulink url="&blfs-ticket-root;10658">#10658</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gegl-0.3.32.  Fixes
+          <ulink url="&blfs-ticket-root;10664">#10664</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+   </listitem>
+
+   <listitem>
       <para>April 13, 2018</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 798c542103fc15592238b284b52f485c4a9c0060)
+++ packages.ent	(revision 314919e4108308a52dcffc3233ca4fe1c858933a)
@@ -200,5 +200,5 @@
 <!ENTITY fontconfig-version           "2.13.0">  <!-- stable lt .90 micro version -->
 <!ENTITY fribidi-version              "1.0.2">
-<!ENTITY gegl-version                 "0.3.30">
+<!ENTITY gegl-version                 "0.3.32">
 <!ENTITY giflib-version               "5.1.4">
 <!ENTITY graphite2-version            "1.3.11">
@@ -336,5 +336,5 @@
 <!ENTITY scons-version                "3.0.0">
 <!ENTITY slang-version                "2.3.2">
-<!ENTITY subversion-version           "1.9.7">
+<!ENTITY subversion-version           "1.10.0">
 <!ENTITY swig-version                 "3.0.12">
 <!ENTITY tcl-version                  "8.6.8">