Index: content/databases/db-3.3.xml
===================================================================
--- content/databases/db-3.3.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db-3.3.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,5 +1,5 @@
-<sect1 id="db-3.3" xreflabel="db-&db-3.3-version;">
+<sect1 id="db-3.3" xreflabel="Berkeley DB-&db-3.3-version;">
 <?dbhtml filename="db-3.3.html" dir="gnome"?>
-<title>db-&db-3.3-version;</title>
+<title>Berkeley DB-&db-3.3-version;</title>
 
 &db-3.3-intro;
Index: content/databases/db-3.3/db-3.3-config.xml
===================================================================
--- content/databases/db-3.3/db-3.3-config.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db-3.3/db-3.3-config.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>db</application></title>
+<title>Configuring <application>Berkeley DB</application></title>
 
 &library-config;
Index: content/databases/db-3.3/db-3.3-desc.xml
===================================================================
--- content/databases/db-3.3/db-3.3-desc.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db-3.3/db-3.3-desc.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application>db</application> package contains
+<para>The <application>Berkeley DB</application> package contains
 <command>db_archive</command>,
 <command>db_checkpoint</command>,
@@ -56,5 +56,5 @@
 <sect3><title>db_upgrade</title>
 <para><command>db_upgrade</command> is used to upgrade database files to a 
-newer version of Berkeley <application>DB</application>.</para></sect3>
+newer version of <application>Berkeley DB</application>.</para></sect3>
 
 <sect3><title>db_verify</title>
Index: content/databases/db-3.3/db-3.3-inst.xml
===================================================================
--- content/databases/db-3.3/db-3.3-inst.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db-3.3/db-3.3-inst.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>db</application></title>
+<title>Installation of <application>Berkeley DB</application></title>
 
-<para>Install <application>db</application> by running the following commands:
+<para>Install <application>Berkeley DB</application> by running the following commands:
 </para>
 
Index: content/databases/db-3.3/db-3.3-intro.xml
===================================================================
--- content/databases/db-3.3/db-3.3-intro.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db-3.3/db-3.3-intro.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to db-&db-3.3-version;</title>
+<title>Introduction to <application>Berkeley DB</application>-&db-3.3-version;</title>
 
-<para>The <application>db</application> package contains version 
+<para>The <application>Berkeley DB</application> package contains version 
 &db-3.3-version; of the Berkeley Database.</para>
 
Index: content/databases/db.xml
===================================================================
--- content/databases/db.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,5 +1,5 @@
-<sect1 id="db" xreflabel="db-&db-version;">
+<sect1 id="db" xreflabel="Berkeley DB-&db-version;">
 <?dbhtml filename="db.html" dir="content"?>
-<title>db-&db-version;</title>
+<title>Berkeley DB-&db-version;</title>
 
 &db-intro;
Index: content/databases/db/db-config.xml
===================================================================
--- content/databases/db/db-config.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db/db-config.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>db</application></title>
+<title>Configuring <application>Bekerley DB</application></title>
 
 <sect3><title>Configuration Information</title>
@@ -6,6 +6,6 @@
 <!-- &library-config; -->
 
-<para>If you recompile perl after installing
-<application>db</application>-&db-version; you will need to
+<para>If you recompile <application>Perl</application> after installing
+<application>Berkeley DB</application>-&db-version; you will need to
 apply the <filename>perl-5.8.0-db-4.1.patch</filename> patch available at
 <ulink url="&hfile-root;"/>.</para>
Index: content/databases/db/db-desc.xml
===================================================================
--- content/databases/db/db-desc.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db/db-desc.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application>db</application> package contains
+<para>The <application>Berkeley DB</application> package contains
 <command>db_archive</command>,
 <command>db_checkpoint</command>,
@@ -56,5 +56,5 @@
 <sect3><title>db_upgrade</title>
 <para><command>db_upgrade</command> is used to upgrade database files to a 
-newer version of Berkeley <application>DB</application>.</para></sect3>
+newer version of <application>Berkeley DB</application>.</para></sect3>
 
 <sect3><title>db_verify</title>
Index: content/databases/db/db-exp.xml
===================================================================
--- content/databases/db/db-exp.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db/db-exp.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -5,5 +5,5 @@
 --enable-compat185</command> : 
 This replaces the normal <command>./configure</command> command as
-<application>db</application> comes with the various 
+<application>Berkeley DB</application> comes with the various 
 build directories for different platforms.</para>
 
Index: content/databases/db/db-inst.xml
===================================================================
--- content/databases/db/db-inst.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db/db-inst.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>db</application></title>
+<title>Installation of <application>Berkeley DB</application></title>
 
-<para>Install <application>db</application> by running the following commands:</para>
+<para>Install <application>Berkeley DB</application> by running the following commands:</para>
 
 <screen><userinput><command>cd build_unix &amp;&amp;
@@ -11,8 +11,8 @@
 make docdir=/usr/share/doc/db-&db-version; install</command></userinput></screen>
 <note><para>If you wish to enable <application>Java</application>
-support in <application>db</application>-&db-version;, add <command>
+support in <application>Berkeley DB</application>-&db-version;, add <command>
 --enable-java</command> to the configure options.
 <application>Java</application> support is needed
-if you plan to use system installed <application>db</application> when 
+if you plan to use system installed <application>Berkeley DB</application> when 
 compiling <application>OpenOffice</application>.</para></note>
 </sect2>
Index: content/databases/db/db-intro.xml
===================================================================
--- content/databases/db/db-intro.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/db/db-intro.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application>db</application></title>
+<title>Introduction to <application>Berkeley DB</application></title>
 
-<para>The <application>db</application> package contains programs and
+<para>The <application>Berkeley DB</application> package contains programs and
 utilities used by many other applications for database related
 functions.</para>
Index: content/databases/mysql/mysql-config.xml
===================================================================
--- content/databases/mysql/mysql-config.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ content/databases/mysql/mysql-config.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -62,5 +62,5 @@
 the init.d script:</para>
 
-<screen><userinput><command>cat &gt; /etc/rc.d/init.d/mysql &lt;&lt; "EOF"
+<screen><userinput><command>cat &gt; /etc/rc.d/init.d/mysql &lt;&lt; "EOF"</command>
 #!/bin/bash
 # Begin $rc_base/init.d/
@@ -101,5 +101,5 @@
 
 # End $rc_base/init.d/
-EOF
+<command>EOF
 chmod 755 /etc/rc.d/init.d/mysql</command></userinput></screen>
 
Index: xsoft/office/evolution/db-3.1-exp.xml
===================================================================
--- xsoft/office/evolution/db-3.1-exp.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ xsoft/office/evolution/db-3.1-exp.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -5,5 +5,5 @@
 
 <para><command>--prefix=/opt/db-&db-3.1-version;</command> : This version of the
-Berkeley Database should not be installed in <filename>/usr</filename>,
+Berkeley Database should not be installed in <filename class="directory">/usr</filename>,
 as it is only needed for the building of
 <application>Evolution</application>.</para>
Index: xsoft/office/evolution/db-3.1-inst.xml
===================================================================
--- xsoft/office/evolution/db-3.1-inst.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ xsoft/office/evolution/db-3.1-inst.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>db-&db-3.1-version;</application></title>
+<title>Installation of <application>Berkeley DB</application>-&db-3.1-version;</title>
 
-<para>Install <application>db-&db-3.1-version;</application> by running the following commands:</para>
+<para>Install <application>Berkeley DB</application>-&db-3.1-version; by running the following commands:</para>
 
 <screen><userinput><command>cd build_unix &amp;&amp;
Index: xsoft/office/evolution/db-3.1-intro.xml
===================================================================
--- xsoft/office/evolution/db-3.1-intro.xml	(revision 29c336306a4428c240bd27a35da3dd6d685cee18)
+++ xsoft/office/evolution/db-3.1-intro.xml	(revision 317034ae409756489e79ff61e0d036ac71aa1474)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application>db-&db-3.1-version;</application></title>
+<title>Introduction to <application>Berkeley DB</application>-&db-3.1-version;</title>
 
-<para>The <application>db</application> package contains 
+<para>The <application>Berkeley DB</application> package contains 
 version &db-3.1-version; of the Berkeley database. <application>Evolution
 </application> requires this particular version. The details on 
@@ -8,7 +8,7 @@
 <application>evolution</application> source code. <application>Evolution
 </application> links to the library statically, hence this book installs 
-the <application>db-&db-3.1-version;</application> in <filename>/opt
-</filename>, which can be removed once <application>Evolution</application> is 
-compiled.</para>
+the <application>Berkeley DB</application>-&db-3.1-version; in <filename
+class="directory">/opt</filename>, which can be removed once 
+<application>Evolution</application> is compiled.</para>
 
 