Index: general/graphlib/babl.xml
===================================================================
--- general/graphlib/babl.xml	(revision b8bc70d4c3065a53184d4717aaaedb1b6c35d522)
+++ general/graphlib/babl.xml	(revision 320084baedbfd284a0813049bfcdd44ba07f79db)
@@ -7,7 +7,7 @@
   <!ENTITY babl-download-http "https://download.gimp.org/pub/babl/0.1/babl-&babl-version;.tar.bz2">
   <!ENTITY babl-download-ftp  " ">
-  <!ENTITY babl-md5sum        "65a1263a3088cee94d07ae525cb9d1f3">
-  <!ENTITY babl-size          "640 KB">
-  <!ENTITY babl-buildsize     "14 MB (with tests)">
+  <!ENTITY babl-md5sum        "2236e5fcb0a608defc2080d7376f194b">
+  <!ENTITY babl-size          "639 KB">
+  <!ENTITY babl-buildsize     "17 MB (with tests)">
   <!ENTITY babl-time          "0.3 SBU (with tests)">
 ]>
Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision b8bc70d4c3065a53184d4717aaaedb1b6c35d522)
+++ general/graphlib/gegl.xml	(revision 320084baedbfd284a0813049bfcdd44ba07f79db)
@@ -7,8 +7,8 @@
   <!ENTITY gegl-download-http "https://download.gimp.org/pub/gegl/0.3/gegl-&gegl-version;.tar.bz2">
   <!ENTITY gegl-download-ftp  " ">
-  <!ENTITY gegl-md5sum        "b970bc80bc5d50170d4cb96d0a1563ac">
-  <!ENTITY gegl-size          "6.2 MB">
-  <!ENTITY gegl-buildsize     "124 MB (add 23 MB for tests)">
-  <!ENTITY gegl-time          "0.9 SBU (using parallelism=4; add 0.5 SBU for tests)">
+  <!ENTITY gegl-md5sum        "543c3104152c594c022ab54f06403d53">
+  <!ENTITY gegl-size          "6.3 MB">
+  <!ENTITY gegl-buildsize     "144 MB (add 23 MB for tests)">
+  <!ENTITY gegl-time          "1.5 SBU (add 1.8 SBU for tests)">
 ]>
 
@@ -123,9 +123,8 @@
 
 <screen><userinput>./configure --prefix=/usr &amp;&amp;
-LC_ALL=en_US make</userinput></screen>
-
-    <para>
-      To test the results, issue: <command>make check</command>. 
-      tests fail due to missing data.
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
      <!-- for me, no failures : but I don't have all the optional deps,
        no idea which test used to fail. Ken
@@ -137,4 +136,5 @@
 
       Sam failures for 0.3.26.
+      No failures in 0.3.28, neither does it require a UTF-8 locale
       -->
     </para>
@@ -144,7 +144,10 @@
     </para>
 
+<!-- With 0.3.28 make install creates gegl/images and put three pngs
+  there.  I was going to keep this as commented (after make install
+  but doing that adds a blank line in the box.
+install -d -v -m755 /usr/share/gtk-doc/html/gegl/images &amp;&amp; -->
 <screen role="root"><userinput>make install &amp;&amp;
 install -v -m644 docs/*.{css,html} /usr/share/gtk-doc/html/gegl &amp;&amp;
-install -d -v -m755 /usr/share/gtk-doc/html/gegl/images &amp;&amp;
 install -v -m644 docs/images/*.{png,ico,svg} /usr/share/gtk-doc/html/gegl/images</userinput></screen>
   </sect2>
@@ -156,6 +159,6 @@
       <command>install -v -m644/docs/*/{css,html} ...</command>:
       This and the subsequent commands install all the provided documentation
-      instead of only <filename>operations.html</filename> and the stylesheet
-      <filename>gegl.css</filename>.
+      instead of only the stylesheet <filename>gegl.css</filename> and three
+      png files.
     </para>
 
@@ -169,9 +172,10 @@
     href="../../xincludes/gtk-doc-rebuild.xml"/>
 
+    <!-- commented in case a later version reinstates this problem
     <para>
       <envar>LC_ALL=en_US</envar>: In some locales with <xref linkend='ruby'/>
       installed, one build component fails and prevents completion of the
       procedure.  Using this variable avoids the problem.
-    </para>
+    </para> -->
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b8bc70d4c3065a53184d4717aaaedb1b6c35d522)
+++ introduction/welcome/changelog.xml	(revision 320084baedbfd284a0813049bfcdd44ba07f79db)
@@ -45,4 +45,16 @@
       <para>January 29th, 2018</para>
       <itemizedlist>
+        <listitem>
+          <para>[ken] - Update to gegl-0.3.28. Fixes
+          <ulink url="&blfs-ticket-root;10294">#10294</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to babl-0.1.42. Fixes
+          <ulink url="&blfs-ticket-root;10293">#10293</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to mutt-1.9.3. Fixes
+          <ulink url="&blfs-ticket-root;10307">#10307</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to QupZilla-2.2.5. Fixes
Index: networking/mailnews/mutt.xml
===================================================================
--- networking/mailnews/mutt.xml	(revision b8bc70d4c3065a53184d4717aaaedb1b6c35d522)
+++ networking/mailnews/mutt.xml	(revision 320084baedbfd284a0813049bfcdd44ba07f79db)
@@ -7,8 +7,8 @@
   <!ENTITY mutt-download-http " ">
   <!ENTITY mutt-download-ftp  "ftp://ftp.mutt.org/pub/mutt/mutt-&mutt-version;.tar.gz">
-  <!ENTITY mutt-md5sum        "8351fc50ab1bc3c0674e2f537a75e81b">
+  <!ENTITY mutt-md5sum        "2cfaabbf0c0ef74cff9af2a0a30de30d">
   <!ENTITY mutt-size          "4.1 MB">
   <!ENTITY mutt-buildsize     "39 MB (plus a further 5MB for the PDF manual)">
-  <!ENTITY mutt-time          "0.3 SBU (plus a further 0.1 SBU to build the PDF manual)">
+  <!ENTITY mutt-time          "0.3 SBU (plus a further 0.2 SBU to build the PDF manual)">
 ]>
 
@@ -274,5 +274,5 @@
 
       <seglistitem>
-        <seg>flea, mutt, mutt_dotlock, muttbug, pgpewrap, pgpring, and
+        <seg>mutt, mutt_dotlock, pgpewrap, pgpring, and
         smime_keys</seg>
         <seg>None</seg>
@@ -286,14 +286,4 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="flea">
-        <term><command>flea</command></term>
-        <listitem>
-          <para>is a bug submitter for <application>Mutt</application>.</para>
-          <indexterm zone="mutt flea">
-            <primary sortas="b-flea">flea</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="mutt-prog">
         <term><command>mutt</command></term>
@@ -313,14 +303,4 @@
           <indexterm zone="mutt mutt_dotlock">
             <primary sortas="b-mutt_dotlock">mutt_dotlock</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="muttbug">
-        <term><command>muttbug</command></term>
-        <listitem>
-          <para>is a script that executes <command>flea</command>.</para>
-          <indexterm zone="mutt muttbug">
-            <primary sortas="b-muttbug">muttbug</primary>
           </indexterm>
         </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision b8bc70d4c3065a53184d4717aaaedb1b6c35d522)
+++ packages.ent	(revision 320084baedbfd284a0813049bfcdd44ba07f79db)
@@ -195,10 +195,10 @@
 <!-- Chapter 10 -->
 <!ENTITY aalib-version                "1.4rc5">
-<!ENTITY babl-version                 "0.1.40">
+<!ENTITY babl-version                 "0.1.42">
 <!ENTITY exiv2-version                "0.26">
 <!ENTITY freetype2-version            "2.9">
 <!ENTITY fontconfig-version           "2.12.6">  <!-- stable lt .90 micro version -->
 <!ENTITY fribidi-version              "0.19.7">
-<!ENTITY gegl-version                 "0.3.26">
+<!ENTITY gegl-version                 "0.3.28">
 <!ENTITY giflib-version               "5.1.4">
 <!ENTITY graphite2-version            "1.3.10">
@@ -487,5 +487,5 @@
 <!ENTITY procmail-version             "3.22">
 <!ENTITY fetchmail-version            "6.3.26">
-<!ENTITY mutt-version                 "1.9.2">
+<!ENTITY mutt-version                 "1.9.3">
 <!ENTITY alpine-version               "2.21">
 
Index: xincludes/texruntime.xml
===================================================================
--- xincludes/texruntime.xml	(revision b8bc70d4c3065a53184d4717aaaedb1b6c35d522)
+++ xincludes/texruntime.xml	(revision 320084baedbfd284a0813049bfcdd44ba07f79db)
@@ -11,3 +11,8 @@
   mtx_context which is part of <application>conTeXt</application>, but also
   for one or two others, such as match_parens, which are generally useful.
+  The perl module <ulink url="http://search.cpan.org/dist/Tk/">Tk</ulink>, which
+  requires <xref role="runtime" linkend="tk"/>, is used by one of the scripts
+  for ptex (Japanese vertical writing), can be used by a conTeXt texfind script,
+  and is needed for texdoctk (a GUI interface for finding documentation files
+  and opening them with the appropriate viewer).
 </para>