Index: general.ent
===================================================================
--- general.ent	(revision 9c202529a2acbda9440dc75e508f36100d6325b6)
+++ general.ent	(revision 338015fe69db284cd2d6aad58bd89c0131ddf648)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "25">                   <!-- Always 2 digits -->
+<!ENTITY day          "26">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2015">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "June 25th &year;">
+<!ENTITY releasedate  "June 26th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/exiv2.xml
===================================================================
--- general/graphlib/exiv2.xml	(revision 9c202529a2acbda9440dc75e508f36100d6325b6)
+++ general/graphlib/exiv2.xml	(revision 338015fe69db284cd2d6aad58bd89c0131ddf648)
@@ -7,8 +7,8 @@
   <!ENTITY exiv2-download-http "http://www.exiv2.org/exiv2-&exiv2-version;.tar.gz">
   <!ENTITY exiv2-download-ftp  " ">
-  <!ENTITY exiv2-md5sum        "b8a23dc56a98ede85c00718a97a8d6fc">
-  <!ENTITY exiv2-size          "4.5 MB">
-  <!ENTITY exiv2-buildsize     "36 MB">
-  <!ENTITY exiv2-time          "0.9 SBU">
+  <!ENTITY exiv2-md5sum        "258d4831b30f75a01e0234065c6c2806">
+  <!ENTITY exiv2-size          "5.2 MB">
+  <!ENTITY exiv2-buildsize     "46 MB">
+  <!ENTITY exiv2-time          "1 SBU">
 ]>
 
@@ -32,8 +32,8 @@
     <para>
       <application>Exiv2</application> is a C++ library and a command
-      line utility for managing image metadata.
+      line utility for managing image and video metadata.
     </para>
 
-    &lfs77_checked;
+    &lfs77_checked;  &gcc5_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -71,4 +71,22 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+      <para role="recommended">
+      <xref linkend="curl"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <ulink url="http://www.libssh.org/">libssh</ulink>
+    </para>
+
+    <bridgehead renderas="sect4">Optional for documentation</bridgehead>
+    <para role="optional">
+      <xref linkend="doxygen"/>,
+      <xref linkend="graphviz"/>,
+      <xref linkend="python3"/>, and
+      <xref linkend="libxslt"/>
+    </para>
+
     <para condition="html" role="usernotes">User Notes:
       <ulink url="&blfs-wiki;/exiv2"/>
@@ -84,5 +102,10 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>./configure --prefix=/usr     \
+            --enable-video    \
+            --enable-webready \
+            --without-ssh     \
+            --disable-static  &amp;&amp;
+
 make</userinput></screen>
 
@@ -103,6 +126,29 @@
     <title>Command Explanations</title>
 
+    <para>
+      <parameter>--enable-video</parameter>:
+      This switch enables managing video metadata.
+    </para>
+
+    <para>
+      <parameter>--enable-webready</parameter>:
+      This switch enables managing web image metadata.
+    </para>
+
+    <para>
+      <parameter>--without-ssh</parameter>:
+      This switch is necessary when webready is enabled and <ulink
+      url="http://www.libssh.org/">libssh</ulink> is not installed. Libssh is
+      required for ssh.
+    </para>
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/static-libraries.xml"/>
+
+    <para>
+      <option>--without-curl</option>:
+      This switch is necessary when webready is enabled and <xref
+      linkend="curl"/> is not installed. Libcurl is required for http.
+    </para>
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9c202529a2acbda9440dc75e508f36100d6325b6)
+++ introduction/welcome/changelog.xml	(revision 338015fe69db284cd2d6aad58bd89c0131ddf648)
@@ -44,4 +44,15 @@
 
 -->
+
+    <listitem>
+      <para>June 26th, 2015</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to exiv2-0.25.  Fixes
+          <ulink url="&blfs-ticket-root;6646">#6646</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>June 25th, 2015</para>
Index: kde/core/kde-runtime.xml
===================================================================
--- kde/core/kde-runtime.xml	(revision 9c202529a2acbda9440dc75e508f36100d6325b6)
+++ kde/core/kde-runtime.xml	(revision 338015fe69db284cd2d6aad58bd89c0131ddf648)
@@ -67,23 +67,24 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
       <para role="recommended">
+      <xref linkend="alsa-lib"/>,
+      <xref linkend="exiv2"/>,
       <xref linkend="kactivities"/>,
-      <xref linkend="kdepimlibs"/>,
-      <xref linkend="alsa-lib"/>,
-      <xref linkend="libjpeg"/>, and
-      <xref linkend="exiv2"/>
+      <xref linkend="kdepimlibs"/>, and
+      <xref linkend="libjpeg"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="libcanberra"/>,
+      <xref linkend="NetworkManager"/>,
       <xref linkend="pulseaudio"/>,
+      <xref linkend="samba"/>,
       <xref linkend="xine-lib"/>,
-      <xref linkend="libcanberra"/>,
-      <xref linkend="samba"/>,
-      <xref linkend="NetworkManager"/>,
-      <ulink url="&kde-download-http;&kde-version;/src/">nepomuk-core</ulink>,
-      <ulink url="http://www.openslp.org/">OpenSLP</ulink>,
-      <ulink url="http://launchpad.net/ntrack">QNtrack</ulink>,
-      <ulink url="http://www.libssh.org/">LibSSH</ulink>, and
-      <ulink url="http://www.openexr.com/">OpenEXR</ulink>
+      <ulink url="http://www.libssh.org/">libssh</ulink>,
+<!--  <ulink url="&kde-download-http;&kde-version;/src/">nepomuk-core</ulink>,-->
+      <ulink url="https://projects.kde.org/projects/kde/kdelibs/nepomuk-core">nepomuk-core</ulink>,
+      <ulink url="http://www.openexr.com/">OpenEXR</ulink>,
+      <ulink url="http://www.openslp.org/">OpenSLP</ulink>, and
+      <ulink url="http://launchpad.net/ntrack">QNtrack</ulink>
     </para>
 
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision 9c202529a2acbda9440dc75e508f36100d6325b6)
+++ multimedia/videoutils/vlc.xml	(revision 338015fe69db284cd2d6aad58bd89c0131ddf648)
@@ -174,4 +174,5 @@
     <para role="optional">
       <xref linkend="qt4"/> (required for the graphical user interface),
+      <xref linkend="qt5"/> (for some plugins),
       <ulink url="http://pkgbuild.com/~giovanni/libtar/">libtar</ulink>, and
       <ulink url="http://www.lirc.org/">LIRC</ulink>
Index: packages.ent
===================================================================
--- packages.ent	(revision 9c202529a2acbda9440dc75e508f36100d6325b6)
+++ packages.ent	(revision 338015fe69db284cd2d6aad58bd89c0131ddf648)
@@ -152,5 +152,5 @@
 <!ENTITY aalib-version                "1.4rc5">
 <!ENTITY babl-version                 "0.1.12">
-<!ENTITY exiv2-version                "0.24">
+<!ENTITY exiv2-version                "0.25">
 <!ENTITY freetype2-version            "2.6">
 <!ENTITY fontconfig-version           "2.11.1">  <!-- stable lt .90 micro version -->
Index: x/lib/qt4.xml
===================================================================
--- x/lib/qt4.xml	(revision 9c202529a2acbda9440dc75e508f36100d6325b6)
+++ x/lib/qt4.xml	(revision 338015fe69db284cd2d6aad58bd89c0131ddf648)
@@ -239,5 +239,5 @@
 <screen role="root"><userinput>make install &amp;&amp;
 rm -rf $QT4PREFIX/tests</userinput></screen>
-<!--
+
     <para>
       Remove references to the build directory from the installed
@@ -246,5 +246,5 @@
     </para>
 
-<screen><userinput>find $QT4PREFIX/lib/pkgconfig -name "*.pc" -exec perl -pi -e "s, -L$PWD/?\S+,,g" {} \;</userinput></screen>-->
+<screen><userinput>find $QT4PREFIX/lib/pkgconfig -name "*.pc" -exec perl -pi -e "s, -L$PWD/?\S+,,g" {} \;</userinput></screen>
 
     <para>
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision 9c202529a2acbda9440dc75e508f36100d6325b6)
+++ x/lib/qt5.xml	(revision 338015fe69db284cd2d6aad58bd89c0131ddf648)
@@ -354,5 +354,5 @@
 EOF</userinput></screen>
 
-    <para>Some packages<!-- such as <xref linkend='vlc'/>--> look for certain
+    <para>Some packages such as <xref linkend='vlc'/> look for certain
     executables with a -qt5 suffix.  Run the following command as the root user
     to create the necessary symlinks:</para>