Index: introduction/important/building-notes.xml
===================================================================
--- introduction/important/building-notes.xml	(revision ab8c10c897a503c75d0457d6ea3db26093ec149e)
+++ introduction/important/building-notes.xml	(revision 367853f6b3088f77041bd184ceae92ec314e7fa5)
@@ -460,9 +460,9 @@
       There are now three different build systems in common use for
       converting C or C++ source code into compiled programs or
-      libraries, and their details (particularly, finding out about available
+      libraries and their details (particularly, finding out about available
       options and their default values) differ. It may be easiest to understand
-      the issues caused by some choices (typically, slow execution, or
-      unexpected use of, or omission of, optimizatons) by starting with the item
-      which drew attention to this, the CFLAGS and CXXFLAGS.
+      the issues caused by some choices (typically slow execution or
+      unexpected use of, or omission of, optimizatons) by starting with 
+      the CFLAGS and CXXFLAGS environment variables.
     </para>
 
@@ -470,6 +470,6 @@
       Most LFS and BLFS builders are probably aware of the basics of CFLAGS
       and CXXFLAGS for altering how a program is compiled. Typically, some
-      form of optimization is used for a released program (-O2 or -O3),
-      sometimes with the creation of debug symbols (-g) when using -O2.
+      form of optimization is used by upstream developers (-O2 or -O3),
+      sometimes with the creation of debug symbols (-g), as defaults.
     </para>
 
@@ -477,5 +477,5 @@
       If there are contradictory flags (e.g. multiple different -O values),
       the <emphasis>last</emphasis> value will be used. Sometimes this means
-      that flags specifiedi in environment variables will be picked up before
+      that flags specified in environment variables will be picked up before
       values hardcoded in the Makefile, and therefore ignored.  For example,
       where a user specifies '-O2' and that is followed by '-O3' the build will
@@ -495,5 +495,5 @@
     </para>
 
-    <bridgehead renderas="sect3">Autotools with Make</bridgehead>
+    <bridgehead renderas="sect3" id="autotools-info">Autotools with Make</bridgehead>
 
       <para>
@@ -504,7 +504,7 @@
 
       <para>
-        Sometimes, running <command>./configure --help</command> will produce
+        Sometimes running <command>./configure --help</command> will produce
         useful options about switches which might be used.  At other times,
-        after looking at the output from a run of configure you may need to look
+        after looking at the output from configure you may need to look
         at the details of the script to find out what it was actually searching
         for.
@@ -516,5 +516,5 @@
        any flags which would otherwise be used (<emphasis>variously</emphasis>:
        ignored, used to replace the programmer's suggestion, used before the
-       programmer's suggestion, used after the programmer's suggestion).
+       programmer's suggestion, or used after the programmer's suggestion).
       </para>
 
@@ -528,5 +528,5 @@
      </para>
 
-    <bridgehead renderas="sect3">CMake</bridgehead>
+    <bridgehead renderas="sect3" id="cmake-info">CMake</bridgehead>
 
       <para>
@@ -548,5 +548,5 @@
         of CMAKE_BUILD_TYPE values, and these affect the flags. The default
         is that this is not set and no flags are generated. Any CFLAGS or
-        CXXFLAGS in the environment will be used. If  the programmer has coded
+        CXXFLAGS in the environment will be used. If the programmer has coded
         any debug assertions, those will be enabled unless -DNDEBUG is used.
         The following CMAKE_BUILD_TYPE values will generate the flags shown,
@@ -575,24 +575,26 @@
       </para>
 
-    <bridgehead renderas="sect3">Meson</bridgehead>
+    <bridgehead renderas="sect3" id="meson-info">Meson</bridgehead>
 
       <para>
         Meson has some similarities to CMake, but many differences. To get
-        details of the definesthat you may wish to change is slightly involved
-        using meson-0.49.2:
-      </para>
-
-<screen><userinput>meson ..
+        details of the defines that you may wish to change ypu need to do:
+      </para>
+
+<screen><userinput>mkdir build
+cd    build
+meson ..
 meson configure | less</userinput></screen>
 
       <para>
-        After identifying what to set, meson then needs to be reconfigured:
-      </para>
-
-<screen><userinput>meson --prefix=/usr -Dsome_option=true -Dother_option=false --reconfigure</userinput></screen>
+        After identifying what to set, meson then needs to be reconfigured.
+        For example:
+      </para>
+
+<screen><userinput>meson --prefix=/usr -Dbuildtype=&lt;type&gt; -Dother_option=false --reconfigure</userinput></screen>
 
       <para>
         Alternatively, you could remove the build directory where you did this,
-        recreate it, and then run meson with the desired switches.
+        recreate it, and then run meson with the desired options.
       </para>
 
@@ -622,5 +624,5 @@
 
       <para>
-        Although the release buildtype is described as enabling -DNDEBUG, and all
+        Although the 'release' buildtype is described as enabling -DNDEBUG, and all
         CMake Release builds pass that, it has so far only been observed (in
         verbose builds) for <xref linkend="mesa"/>. That suggests that it might
@@ -635,5 +637,5 @@
       <para>
         To see the details of the commands which are being run in a package using
-        meson, again use 'ninja -v'.
+        meson, use 'ninja -v'.
       </para>
 