Index: general/genlib/aspell.xml
===================================================================
--- general/genlib/aspell.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
+++ general/genlib/aspell.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
@@ -0,0 +1,11 @@
+<sect1 id="aspell" xreflabel="aspell-&aspell-version;">
+<?dbhtml filename="aspell.html" dir="general"?>
+<title>aspell-&aspell-version;</title>
+
+&aspell-intro;
+&aspell-inst;
+&aspell-config;
+&aspell-desc;
+
+</sect1>
+
Index: general/genlib/aspell/aspell-config.xml
===================================================================
--- general/genlib/aspell/aspell-config.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
+++ general/genlib/aspell/aspell-config.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Configuring aspell</title>
+
+<sect3><title>Configuration Information</title>
+
+&library-config;
+
+</sect3>
+
+</sect2>
+
Index: general/genlib/aspell/aspell-desc.xml
===================================================================
--- general/genlib/aspell/aspell-desc.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
+++ general/genlib/aspell/aspell-desc.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Contents</title>
+
+<para>The aspell package contains the <userinput>aspell
+library</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>aspell library</title>
+<para>The aspell library is a spell checking library interface.</para></sect3>
+
+</sect2>
+
Index: general/genlib/aspell/aspell-inst.xml
===================================================================
--- general/genlib/aspell/aspell-inst.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
+++ general/genlib/aspell/aspell-inst.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of aspell</title>
+
+<para>Install aspell by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: general/genlib/aspell/aspell-intro.xml
===================================================================
--- general/genlib/aspell/aspell-intro.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
+++ general/genlib/aspell/aspell-intro.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Introduction to aspell-&aspell-version;</title>
+
+<screen>Download location (FTP):       <ulink url="&aspell-download-ftp;"/>
+Version used:                   &aspell-version;
+Package size:                   &aspell-size;
+Estimated Disk space required:  &aspell-buildsize;</screen>
+
+<para>The aspell package contains the aspell library, used to
+interface to spell checking libraries.</para>
+
+</sect2>
Index: general/genlib/aspell/aspell.ent
===================================================================
--- general/genlib/aspell/aspell.ent	(revision 368512b325ae646fdbee4931886cc600cc895d66)
+++ general/genlib/aspell/aspell.ent	(revision 368512b325ae646fdbee4931886cc600cc895d66)
@@ -0,0 +1,12 @@
+<!ENTITY aspell SYSTEM "../aspell.xml">
+<!ENTITY aspell-intro SYSTEM "aspell-intro.xml">
+<!ENTITY aspell-inst SYSTEM "aspell-inst.xml">
+<!ENTITY aspell-exp SYSTEM "aspell-exp.xml">
+<!ENTITY aspell-desc SYSTEM "aspell-desc.xml">
+<!ENTITY aspell-config SYSTEM "aspell-config.xml">
+<!ENTITY aspell-buildsize "9.4 MB">
+<!ENTITY aspell-version "0.50.3">
+<!ENTITY aspell-download-ftp "ftp://ftp.gnu.org/gnu/aspell/aspell-&aspell-version;.tar.gz">
+
+
+<!ENTITY aspell-size "917 KB">
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision b9e96a3aab9fb34e422b3765293bdbf84b69ca39)
+++ general/genlib/genlib.xml	(revision 368512b325ae646fdbee4931886cc600cc895d66)
@@ -48,4 +48,5 @@
 &libesmtp;
 &pspell;
+&aspell;
 &guile;
 &slib;