Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 077f73f2a5244637ccd033db9ec1ec04d4472d6b)
+++ introduction/welcome/changelog.xml	(revision 378990d3161bec963f6198681bd1d1330d98f6cf)
@@ -40,4 +40,14 @@
     -->
     <listitem>
+      <para>September 22th, 2024</para>
+      <itemizedlist>
+        <listitem>
+          <para>[thomas] - Update to bind-9.20.2, bind-utils-9.20.2.  Fixes
+          <ulink url="&blfs-ticket-root;20260">#20260</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>September 20th, 2024</para>
       <itemizedlist>
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision 077f73f2a5244637ccd033db9ec1ec04d4472d6b)
+++ networking/netutils/bind-utils.xml	(revision 378990d3161bec963f6198681bd1d1330d98f6cf)
@@ -99,9 +99,12 @@
 
 <screen><userinput>./configure --prefix=/usr &amp;&amp;
-make -C lib/isc    &amp;&amp;
-make -C lib/dns    &amp;&amp;
-make -C lib/ns     &amp;&amp;
-make -C lib/isccfg &amp;&amp;
-make -C bin/dig    &amp;&amp;
+make -C lib/isc      &amp;&amp;
+make -C lib/dns      &amp;&amp;
+make -C lib/ns       &amp;&amp;
+make -C lib/isccfg   &amp;&amp;
+make -C lib/isccc    &amp;&amp;
+make -C bin/dig      &amp;&amp;
+make -C bin/nsupdate &amp;&amp;
+make -C bin/rndc     &amp;&amp;
 make -C doc</userinput></screen>
 
@@ -112,10 +115,14 @@
       Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role='root'><userinput>make -C lib/isc    install &amp;&amp;
-make -C lib/dns    install &amp;&amp;
-make -C lib/ns     install &amp;&amp;
-make -C lib/isccfg install &amp;&amp;
-make -C bin/dig    install &amp;&amp;
-cp -v doc/man/{dig.1,host.1,nslookup.1} /usr/share/man/man1</userinput></screen>
+<screen role='root'><userinput>make -C lib/isc      install &amp;&amp;
+make -C lib/dns      install &amp;&amp;
+make -C lib/ns       install &amp;&amp;
+make -C lib/isccfg   install &amp;&amp;
+make -C lib/isccc    install &amp;&amp;
+make -C bin/dig      install &amp;&amp;
+make -C bin/nsupdate install &amp;&amp;
+make -C bin/rndc     install &amp;&amp;
+cp -v doc/man/{dig.1,host.1,nslookup.1,nsupdate.1} /usr/share/man/man1 &amp;&amp;
+cp -v doc/man/rndc.8 /usr/share/man/man8</userinput></screen>
 
   </sect2>
@@ -136,5 +143,5 @@
 
     <para>
-      <command>make -C bin/dig</command>: This command builds the
+      <command>make -C bin/...</command>: This command builds the
       client programs.
     </para>
@@ -147,5 +154,5 @@
 
     <para>
-      Use <command>cp -v doc/man/{dig.1,host.1,nslookup.1} /usr/share/man/man1</command>
+      Use <command>cp -v doc/man/... /usr/share/man/man...</command>
       to install the manual pages if they have been built.
     </para>
@@ -162,5 +169,5 @@
 
       <seglistitem>
-        <seg>dig, host, and nslookup</seg>
+        <seg>dig, host, nslookup, nsupdate and rndc</seg>
         <seg>None</seg>
         <seg>None</seg>
Index: packages.ent
===================================================================
--- packages.ent	(revision 077f73f2a5244637ccd033db9ec1ec04d4472d6b)
+++ packages.ent	(revision 378990d3161bec963f6198681bd1d1330d98f6cf)
@@ -722,6 +722,6 @@
 <!-- for Bind Utilities -->
 <!ENTITY bind-minor-version           "9.20">
-<!ENTITY bind-version                 "&bind-minor-version;.0">
-<!ENTITY bind-md5                     "2c8d94d1524cbbae4d76cd74955bb6d9">
+<!ENTITY bind-version                 "&bind-minor-version;.2">
+<!ENTITY bind-md5                     "f524316a2293ab0e935ae9cdfb69ae79">
 <!ENTITY NetworkManager-minor         "1.48">
 <!ENTITY NetworkManager-version       "&NetworkManager-minor;.10">
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision 077f73f2a5244637ccd033db9ec1ec04d4472d6b)
+++ server/major/bind.xml	(revision 378990d3161bec963f6198681bd1d1330d98f6cf)
@@ -569,6 +569,6 @@
       updated set of excellent documentation along with every release
       so it can be easily viewed and/or downloaded &ndash; so there is
-      no excuse to not read the docs. The formats ISC provides are PDF,
-      epub and html at <ulink url="https://downloads.isc.org/isc/bind9/&bind-version;/doc/arm/"/>.
+      no excuse to not read the docs. The formats ISC provides are epub
+      and html at <ulink url="https://downloads.isc.org/isc/bind9/&bind-version;/doc/arm/"/>.
     </para>
   </sect2>