Index: general.ent
===================================================================
--- general.ent	(revision da836cf128d86939e7e8444d67eff48914c2df5f)
+++ general.ent	(revision 383811b90c1a9f9887ae04ecf27d55052291e662)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "28">                   <!-- Always 2 digits -->
+<!ENTITY day          "29">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 28th, &year;">
+<!ENTITY releasedate  "February 29th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -799,4 +799,5 @@
 <!ENTITY nautilus-sendto-version      "3.0.1">
 <!ENTITY nemiver-version              "0.9.0">
+<!ENTITY rygel-version                "0.12.5">
 <!ENTITY seahorse-version             "2.30.1">
 <!ENTITY totem-version                "2.30.2">
Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision da836cf128d86939e7e8444d67eff48914c2df5f)
+++ gnome/add/add.xml	(revision 383811b90c1a9f9887ae04ecf27d55052291e662)
@@ -58,9 +58,10 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-nettool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-power-manager.xml"/>
-  <!-- commented until there is a proper release without all the old gnome-2 python baggege
+  <!-- commented until there is a proper release without all the old gnome-2 python baggage
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="hamster-applet.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="orca.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nautilus-sendto.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nemiver.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="rygel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="seahorse.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="totem.xml"/>
Index: gnome/add/gupnp.xml
===================================================================
--- gnome/add/gupnp.xml	(revision da836cf128d86939e7e8444d67eff48914c2df5f)
+++ gnome/add/gupnp.xml	(revision 383811b90c1a9f9887ae04ecf27d55052291e662)
@@ -62,7 +62,8 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required"><xref linkend="glib2"/>,
-    <xref linkend="gssdp"/>,
+    <xref linkend="gssdp"/>, and
+    <!-- these two are pulled in by gssdp
     <xref linkend="libsoup"/>,
-    <xref linkend="libxml2"/>, and
+    <xref linkend="libxml2"/>, and -->
     <xref linkend="shared-mime-info"/></para>
 
Index: gnome/add/rygel.xml
===================================================================
--- gnome/add/rygel.xml	(revision 383811b90c1a9f9887ae04ecf27d55052291e662)
+++ gnome/add/rygel.xml	(revision 383811b90c1a9f9887ae04ecf27d55052291e662)
@@ -0,0 +1,202 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY rygel-download-http "&gnome-download-http;/rygel/0.12/rygel-&rygel-version;.tar.xz">
+  <!ENTITY rygel-download-ftp  "&gnome-download-ftp;/rygel/0.12/rygel-&rygel-version;.tar.xz">
+  <!ENTITY rygel-md5sum        "1a52accbbe8ccb178ab428e6c1abd7a3">
+  <!ENTITY rygel-size          "1.5 MB">
+  <!ENTITY rygel-buildsize     "53 MB">
+  <!ENTITY rygel-time          "0.6 SBU">
+]>
+
+<sect1 id="rygel" xreflabel="rygel-&rygel-version;">
+  <?dbhtml filename="rygel.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>rygel-&rygel-version;</title>
+
+  <indexterm zone="rygel">
+    <primary sortas="a-rygel">rygel</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to rygel</title>
+
+    <para><application>Rygel</application> is a home media solution that allows you to
+    easily share audio, video and pictures, and control of media player on your home
+    network. In technical terms it is both a UPnP AV MediaServer and MediaRenderer
+    implemented through a plug-in mechanism.</para>
+
+    &lfs70_built;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&rygel-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&rygel-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &rygel-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &rygel-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &rygel-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &rygel-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">rygel Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="gst-plugins-base"/>,
+    <xref linkend="gupnp-av"/>,
+    <xref linkend="gupnp-dlna"/>,
+    <xref linkend="gupnp-vala"/>,
+    <xref linkend="gtk3"/>, and
+    <xref linkend="libgee"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/rygel"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of rygel</title>
+
+    <para>Install <application>rygel</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=$GNOME_PREFIX \
+            --sysconfdir=$GNOME_SYSCONFDIR &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--sysconfdir=$GNOME_SYSCONFDIR</parameter>: This parameter ensures
+    <filename>rygel.conf</filename> will be installed in an appropriate location, and is
+    particularly intended for when $GNOME_PREFIX is
+    <filename class="directory">/usr</filename>.</para>
+
+    <para><option>--enable-mediathek-plugin</option> : This parameter will create a plugin
+    for German public TV (ARD and ZDF).</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>rygel and rygel-preferences</seg>
+        <seg>librygel-external.so, librygel-media-export.so, librygel-mediathek.so (optional), librygel-mpris.so, librygel-playbin.so, and librygel-tracker.so</seg>
+        <seg><envar>$GNOME_PREFIX</envar>/{include/rygel-1.0,lib/rygel-1.0,share/{icons/hicolor/120x120/apps,rygel/xml}}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="rygel-prog">
+        <term><command>rygel</command></term>
+        <listitem>
+          <para>is the media server.</para>
+          <indexterm zone="rygel rygel-prog">
+            <primary sortas="b-rygel-prog">rygel</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <!-- comment unless anyone ever finds out what these do
+      <varlistentry id="rygel-preferences">
+        <term><command>rygel-preferences</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="rygel rygel-preferences">
+            <primary sortas="b-rygel-preferences">rygel-preferences</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="librygel-external">
+        <term><filename class='libraryfile'>librygel-external.so</filename></term>
+        <listitem>
+          <para>contains functions that .....</para>
+          <indexterm zone="rygel librygel-external">
+            <primary sortas="c-librygel-external">librygel-external.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="librygel-media-export">
+        <term><filename class='libraryfile'>librygel-media-export.so</filename></term>
+        <listitem>
+          <para>contains functions that .....</para>
+          <indexterm zone="rygel librygel-media-export">
+            <primary sortas="c-librygel-media-export">librygel-media-export.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="librygel-mpris">
+        <term><filename class='libraryfile'>librygel-mpris.so</filename></term>
+        <listitem>
+          <para>contains functions that .....</para>
+          <indexterm zone="rygel librygel-mpris">
+            <primary sortas="c-librygel-mpris">librygel-mpris.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="librygel-playbin">
+        <term><filename class='libraryfile'>librygel-playbin.so</filename></term>
+        <listitem>
+          <para>contains functions that .....</para>
+          <indexterm zone="rygel librygel-playbin">
+            <primary sortas="c-librygel-playbin">librygel-playbin.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="librygel-tracker">
+        <term><filename class='libraryfile'>librygel-tracker.so</filename></term>
+        <listitem>
+          <para>contains functions that .....</para>
+          <indexterm zone="rygel librygel-tracker">
+            <primary sortas="c-librygel-tracker">librygel-tracker.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry> -->
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision da836cf128d86939e7e8444d67eff48914c2df5f)
+++ introduction/welcome/changelog.xml	(revision 383811b90c1a9f9887ae04ecf27d55052291e662)
@@ -43,4 +43,13 @@
 -->
     <listitem>
+      <para>February 29th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - added rygel-0.12.5 from Wayne.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 28th, 2012</para>
       <itemizedlist>