Index: gnome/add/gtkhtml.xml
===================================================================
--- gnome/add/gtkhtml.xml	(revision 481b3e81f82d7624c61520ebb60be6fd03532820)
+++ gnome/add/gtkhtml.xml	(revision 384039a34e5b72f3cfbeb88b8b0604784c33df27)
@@ -28,5 +28,5 @@
 
   <sect2 role="package">
-    <title>Introduction to <application>GtkHTML</application></title>
+    <title>Introduction to GtkHTML</title>
 
     <para>The <application>GtkHTML</application> package contains a
@@ -68,5 +68,5 @@
 
   <sect2 role="installation">
-    <title>Installation of <application>GtkHTML</application></title>
+    <title>Installation of GtkHTML</title>
 
     <para>Install <application>GtkHTML</application> by running the following
Index: postlfs/config/profile.xml
===================================================================
--- postlfs/config/profile.xml	(revision 481b3e81f82d7624c61520ebb60be6fd03532820)
+++ postlfs/config/profile.xml	(revision 384039a34e5b72f3cfbeb88b8b0604784c33df27)
@@ -20,12 +20,12 @@
   help create an environment.  Each file has a specific use and
   may affect login and interactive environments differently.  The files in
-  the <filename class="directory">/etc</filename> directory generally provide 
+  the <filename class="directory">/etc</filename> directory generally provide
   global settings. If an equivalent file exists in your home directory it may
   override the global settings.</para>
 
   <para>An interactive login shell is started after a successful login, using
-  <filename>/bin/login</filename>, by reading the <filename>/etc/passwd</filename> 
-  file.  This shell invocation normally reads <filename>/etc/profile</filename> 
-  and its private equivalent <filename>~/.bash_profile</filename> upon 
+  <filename>/bin/login</filename>, by reading the <filename>/etc/passwd</filename>
+  file.  This shell invocation normally reads <filename>/etc/profile</filename>
+  and its private equivalent <filename>~/.bash_profile</filename> upon
   startup.</para>
 
@@ -48,9 +48,9 @@
   interactive login shell.</para>
 
-  <para>To the standard files, <filename>/etc/bashrc</filename> is called from 
-  the user's <filename>~/.bashrc</filename> for system wide initialization of 
+  <para>To the standard files, <filename>/etc/bashrc</filename> is called from
+  the user's <filename>~/.bashrc</filename> for system wide initialization of
   non-login shells.</para>
 
-  <para>For more information see <command>info bash</command> -- 
+  <para>For more information see <command>info bash</command> --
   <emphasis role="strong">Nodes: Bash Startup Files and Interactive
   Shells.</emphasis></para>
@@ -66,5 +66,5 @@
     setting up some helper functions and some basic parameters.  It specifies some
     <filename>bash</filename> history parameters and, for security purposes,
-    disables keeping a permanent history file for the <systemitem 
+    disables keeping a permanent history file for the <systemitem
     class="username">root</systemitem> user.  It also sets a
     default user prompt.  It then calls small, single purpose scripts in the
@@ -82,12 +82,12 @@
 # by James Robertson &lt;jameswrobertson@earthlink.net&gt;
 # modifications by Dagmar d'Surreal &lt;rivyqntzne@pbzpnfg.arg&gt;
- 
+
 # System wide environment variables and startup programs.
- 
+
 # System wide aliases and functions should go in /etc/bashrc.  Personal
 # environment variables and startup programs should go into
 # ~/.bash_profile.  Personal aliases and functions should go into
 # ~/.bashrc.
- 
+
 # Functions to help us manage paths.  Second argument is the name of the
 # path variable to be modified (default: PATH)
@@ -104,5 +104,5 @@
         export $PATHVARIABLE="$NEWPATH"
 }
- 
+
 pathprepend () {
         pathremove $1 $2
@@ -110,5 +110,5 @@
         export $PATHVARIABLE="$1${!PATHVARIABLE:+:${!PATHVARIABLE}}"
 }
- 
+
 pathappend () {
         pathremove $1 $2
@@ -116,5 +116,5 @@
         export $PATHVARIABLE="${!PATHVARIABLE:+${!PATHVARIABLE}:}$1"
 }
- 
+
 
 # Set the initial path
@@ -125,5 +125,5 @@
         unset HISTFILE
 fi
- 
+
 # Setup some environment variables.
 export HISTSIZE=1000
@@ -131,5 +131,5 @@
 #export PS1="[\u@\h \w]\\$ "
 export PS1='\u@\h:\w\$ '
- 
+
 for script in /etc/profile.d/*.sh ; do
         if [ -r $script ] ; then
@@ -137,7 +137,7 @@
         fi
 done
- 
+
 # Now to clean up
-unset pathremove pathprepend pathappend 
+unset pathremove pathprepend pathappend
 
 # End /etc/profile</literal>
@@ -151,5 +151,5 @@
       </indexterm>
 
-      <para>Now create the <filename class='directory'>/etc/profile.d</filename> 
+      <para>Now create the <filename class='directory'>/etc/profile.d</filename>
       directory, where the individual initialization scripts are placed.</para>
 
@@ -175,5 +175,5 @@
 if [ -f "/etc/dircolors" ] ; then
         eval $(dircolors -b /etc/dircolors)
- 
+
         if [ -f "$HOME/.dircolors" ] ; then
                 eval $(dircolors -b $HOME/.dircolors)
@@ -193,10 +193,10 @@
 
       <para>This script adds several useful paths to the <envar>PATH</envar> and
-      <envar>PKG_CONFIG_PATH</envar> environment variables.  If you want, you 
-      can uncomment the last section to put a dot at the end of your path. This will 
-      allow executables in the current working directory to be executed without 
-      specifiying a ./, however you are warned that this is generally considered a 
+      <envar>PKG_CONFIG_PATH</envar> environment variables.  If you want, you
+      can uncomment the last section to put a dot at the end of your path. This will
+      allow executables in the current working directory to be executed without
+      specifiying a ./, however you are warned that this is generally considered a
       security hazard.</para>
- 
+
 <screen role="root"><userinput>cat &gt; /etc/profile.d/extrapaths.sh &lt;&lt; "EOF"
 <literal>if [ -d /usr/local/lib/pkgconfig ] ; then
@@ -232,6 +232,6 @@
       </indexterm>
 
-      <para>This script sets up the default <filename>inputrc</filename> 
-      configuration file. If the user does not have individual settings, it uses the 
+      <para>This script sets up the default <filename>inputrc</filename>
+      configuration file. If the user does not have individual settings, it uses the
       global file.</para>
 
@@ -253,15 +253,15 @@
       </indexterm>
 
-      <para>Some applications need a specific <envar>TERM</envar> setting to 
+      <para>Some applications need a specific <envar>TERM</envar> setting to
       support color.</para>
 
 <screen role="root"><userinput>cat &gt; /etc/profile.d/tinker-term.sh &lt;&lt; "EOF"
-<literal># This will tinker with the value of TERM in order to convince certain 
+<literal># This will tinker with the value of TERM in order to convince certain
 # apps that we can, indeed, display color in their window.
- 
+
 if [ -n "$COLORTERM" ]; then
   export TERM=xterm-color
 fi
- 
+
 if [ "$TERM" = "xterm" ]; then
   export TERM=xterm-color
@@ -277,7 +277,7 @@
         <primary sortas="e-etc-profile.d-umask.sh">/etc/profile.d/umask.sh</primary>
       </indexterm>
- 
-      <para>Setting the <command>umask</command> value is important for security. 
-      Here the default group write permissions are turned off for system users and when 
+
+      <para>Setting the <command>umask</command> value is important for security.
+      Here the default group write permissions are turned off for system users and when
       the user name and group name are not the same.</para>
 
@@ -300,5 +300,5 @@
       </indexterm>
 
-      <para>If <application>X</application> is installed, the <envar>PATH</envar> 
+      <para>If <application>X</application> is installed, the <envar>PATH</envar>
       and <envar>PKG_CONFIG_PATH</envar> variables are also updated.</para>
 
@@ -321,10 +321,10 @@
       </indexterm>
 
-      <para>This script shows an example of a different way of setting the prompt. 
-      The normal variable, <envar>PS1</envar>, is supplemented by 
-      <envar>PROMPT_COMMAND</envar>. If set, the value of 
-      <envar>PROMPT_COMMAND</envar> is executed as a command prior to 
+      <para>This script shows an example of a different way of setting the prompt.
+      The normal variable, <envar>PS1</envar>, is supplemented by
+      <envar>PROMPT_COMMAND</envar>. If set, the value of
+      <envar>PROMPT_COMMAND</envar> is executed as a command prior to
       issuing each primary prompt.</para>
- 
+
 <screen role="root"><userinput>cat &gt; /etc/profile.d/xterm-titlebars.sh &lt;&lt; "EOF"
 <literal># The substring match ensures this works for "xterm" and "xterm-xfree86".
@@ -338,5 +338,5 @@
 
     <sect3 id="i18n.sh">
-      <title><filename>/etc/profile.d/i18n.sh</filename></title>
+      <title>'/etc/profile.d/i18n.sh'</title>
 
     <indexterm zone="postlfs-config-profile i18n.sh">
@@ -344,6 +344,6 @@
     </indexterm>
 
-      <para>This script shows how to set some environment variables necessary for 
-      native language support. Setting these variables properly gives you:</para> 
+      <para>This script shows how to set some environment variables necessary for
+      native language support. Setting these variables properly gives you:</para>
 
       <itemizedlist>
@@ -352,6 +352,6 @@
         </listitem>
         <listitem>
-          <para>correct classification of characters into letters, digits and 
-          other classes &ndash; this is necessary for <application>Bash</application> 
+          <para>correct classification of characters into letters, digits and
+          other classes &ndash; this is necessary for <application>Bash</application>
           to accept keystrokes properly in non-English locales</para>
         </listitem>
@@ -367,22 +367,22 @@
       </itemizedlist>
 
-      <para>Replace <replaceable>[ll]</replaceable> with the two-letter code for 
-      your language (e.g., <quote>en</quote>) and 
-      <replaceable>[CC]</replaceable> with the two-letter code for your country 
-      (e.g., <quote>GB</quote>). Also you may need to specify (and this is actually 
-      the preferred form) your character encoding (e.g., <quote>iso8859-1</quote>) 
-      after a dot (so that the result is <quote>en_GB.iso8859-1</quote>). Issue the 
+      <para>Replace <replaceable>[ll]</replaceable> with the two-letter code for
+      your language (e.g., <quote>en</quote>) and
+      <replaceable>[CC]</replaceable> with the two-letter code for your country
+      (e.g., <quote>GB</quote>). Also you may need to specify (and this is actually
+      the preferred form) your character encoding (e.g., <quote>iso8859-1</quote>)
+      after a dot (so that the result is <quote>en_GB.iso8859-1</quote>). Issue the
       following command for more information:</para>
 
 <screen><userinput>man 3 setlocale</userinput></screen>
 
-      <para>The list of all locales supported by <application>Glibc</application> 
+      <para>The list of all locales supported by <application>Glibc</application>
       can be obtained by running the following command:</para>
 
-<screen><userinput>locale -a</userinput></screen> 
-
-      <para>After you are sure about your locale settings, create the 
-      <filename>/etc/profile.d/i18n.sh</filename> file:</para> 
- 
+<screen><userinput>locale -a</userinput></screen>
+
+      <para>After you are sure about your locale settings, create the
+      <filename>/etc/profile.d/i18n.sh</filename> file:</para>
+
 <screen role="root"><userinput>cat &gt; /etc/profile.d/i18n.sh &lt;&lt; "EOF"
 <literal># Set up i18n variables
@@ -392,11 +392,11 @@
 EOF</userinput></screen>
 
-      <para>The <envar>LC_ALL</envar> variable sets the same value for all locale 
-      categories. For better control, you may prefer to set values individually for 
-      all categories listed in the output of the <command>locale</command> 
+      <para>The <envar>LC_ALL</envar> variable sets the same value for all locale
+      categories. For better control, you may prefer to set values individually for
+      all categories listed in the output of the <command>locale</command>
       command.</para>
 
       <para>The <envar>G_FILENAME_ENCODING</envar> variable tells applications
-      such as <application>Glib</application> and <application>GTK+</application> 
+      such as <application>Glib</application> and <application>GTK+</application>
       that filenames are in the default locale encoding and not in UTF-8 as
       assumed by default.</para>
@@ -407,6 +407,6 @@
       <title>Other Initialization Values</title>
 
-      <para>Other initialization can easily be added to the 
-      <filename>profile</filename> by adding additional scripts to the 
+      <para>Other initialization can easily be added to the
+      <filename>profile</filename> by adding additional scripts to the
       <filename class='directory'>/etc/profile.d</filename> directory.</para>
 
@@ -426,6 +426,6 @@
 
 <screen role="root"><userinput>cat &gt; /etc/bashrc &lt;&lt; "EOF"
-<literal># Begin /etc/bashrc 
-# Written for Beyond Linux From Scratch 
+<literal># Begin /etc/bashrc
+# Written for Beyond Linux From Scratch
 # by James Robertson &lt;jameswrobertson@earthlink.net&gt;
 # updated by Bruce Dubbs &lt;bdubbs@linuxfromscratch.org&gt;
@@ -455,5 +455,5 @@
 # Provides prompt for non-login shells, specifically shells started
 # in the X environment. [Review the LFS archive thread titled
-# PS1 Environment Variable for a great case study behind this script 
+# PS1 Environment Variable for a great case study behind this script
 # addendum.]
 
@@ -478,5 +478,5 @@
     permissions after the command is run. You can then copy
     <filename>/etc/skel/.bash_profile</filename> to the home directories of already
-    existing users, including <systemitem class="username">root</systemitem>, 
+    existing users, including <systemitem class="username">root</systemitem>,
     and set the owner and group appropriately.</para>
 
@@ -500,7 +500,7 @@
      if [ "$DIR" != "$1" ]; then
        NEWPATH=${NEWPATH:+$NEWPATH:}$DIR
-     fi     
+     fi
   done
-  
+
   # Then append the directory
   export PATH=$NEWPATH:$1
@@ -512,5 +512,5 @@
 
 if [ -d "$HOME/bin" ] ; then
-  append $HOME/bin	
+  append $HOME/bin
 fi
 
@@ -521,5 +521,5 @@
 
   </sect2>
- 
+
   <sect2 id="bashrc-profile">
     <title>~/.bashrc</title>
@@ -544,5 +544,5 @@
 # ~/.bash_profile.  System wide environment variables and startup
 # programs are in /etc/profile.  System wide aliases and functions are
-# in /etc/bashrc. 
+# in /etc/bashrc.
 
 if [ -f "/etc/bashrc" ] ; then
@@ -554,6 +554,6 @@
 
   </sect2>
- 
- 
+
+
   <sect2 id="bash_logout-profile">
     <title>~/.bash_logout</title>
@@ -579,6 +579,6 @@
 
   </sect2>
- 
- 
+
+
   <sect2 id="etc-dircolors-profile">
     <title>/etc/dircolors</title>
@@ -595,7 +595,7 @@
     run the following command. The <filename class="directory">/etc/skel</filename>
     setup steps seen above also can be used here to provide a
-    <filename>~/.dircolors</filename> file when a new user is set up. As before, 
+    <filename>~/.dircolors</filename> file when a new user is set up. As before,
     just change the output file name on the following command and assure the
-    permissions, owner, and group are correct on the files created and/or 
+    permissions, owner, and group are correct on the files created and/or
     copied.</para>
 
@@ -603,5 +603,5 @@
 
     <para>If you wish to customize the colors used for different file types, you can
-    edit the <filename>/etc/dircolors</filename> file.  The instructions for setting 
+    edit the <filename>/etc/dircolors</filename> file.  The instructions for setting
     the colors are embedded in the file.</para>
 
Index: xsoft/graphweb/dillo.xml
===================================================================
--- xsoft/graphweb/dillo.xml	(revision 481b3e81f82d7624c61520ebb60be6fd03532820)
+++ xsoft/graphweb/dillo.xml	(revision 384039a34e5b72f3cfbeb88b8b0604784c33df27)
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title><application>Dillo</application>-&dillo-version;</title>
+  <title>Dillo-&dillo-version;</title>
 
   <indexterm zone="dillo">