Index: general.ent
===================================================================
--- general.ent	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ general.ent	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "02">                   <!-- Always 2 digits -->
+<!ENTITY day          "03">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "March 2nd, &year;">
+<!ENTITY releasedate  "March 3rd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libaio.xml
===================================================================
--- general/genlib/libaio.xml	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ general/genlib/libaio.xml	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -7,6 +7,6 @@
   <!ENTITY libaio-download-http "http://ftp.de.debian.org/debian/pool/main/liba/libaio/libaio_&libaio-version;.orig.tar.gz">
   <!ENTITY libaio-download-ftp  " ">
-  <!ENTITY libaio-md5sum        "abb8f46d64b9bd3d0c6097e3a36639be">
-  <!ENTITY libaio-size          "48 KB">
+  <!ENTITY libaio-md5sum        "66e3b7dd255581a73542ee851f8cd737">
+  <!ENTITY libaio-size          "40 KB">
   <!ENTITY libaio-buildsize     "1.0 MB">
   <!ENTITY libaio-time          "less than 0.1 SBU">
Index: general/genlib/talloc.xml
===================================================================
--- general/genlib/talloc.xml	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ general/genlib/talloc.xml	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -7,7 +7,7 @@
   <!ENTITY talloc-download-http "https://www.samba.org/ftp/talloc/talloc-&talloc-version;.tar.gz">
   <!ENTITY talloc-download-ftp  " ">
-  <!ENTITY talloc-md5sum        "a56bc6add28ae0f5693eb49e19ddddcf">
-  <!ENTITY talloc-size          "620 KB">
-  <!ENTITY talloc-buildsize     "10 MB (with tests)">
+  <!ENTITY talloc-md5sum        "4ff5a73fbfc92ae7e9c63ceb7b4ee025">
+  <!ENTITY talloc-size          "624 KB">
+  <!ENTITY talloc-buildsize     "9.5 MB (with tests)">
   <!ENTITY talloc-time          "0.4 SBU (with tests)">
 ]>
@@ -100,6 +100,5 @@
     </para>
 
-<screen><userinput>sed -i s:../../buildtools/bin/waf:buildtools/bin/waf: Makefile &amp;&amp;
-./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -118,9 +117,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i s:[...] Makefile</command>: This command fixes a 
-      packaging problem introduced with this version of Talloc.
-    </para>
 
     <para>
Index: general/prog/git.xml
===================================================================
--- general/prog/git.xml	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ general/prog/git.xml	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -9,9 +9,9 @@
   <!ENTITY git-download-http "&git-root;/git-&git-version;.tar.xz">
   <!ENTITY git-download-ftp  " ">
-  <!ENTITY git-md5sum        "5fb4ff92b56ce3172b99c1c74c046c1a">
-  <!ENTITY git-size          "5.1 MB">
+  <!ENTITY git-md5sum        "a74a7e716e1e548104bc942afc860fdb">
+  <!ENTITY git-size          "5.2 MB">
   <!-- using gcc-8.1 the build and install are much bigger than with gcc-7.3 -->
-  <!ENTITY git-buildsize     "275 MB (with downloaded documentation)">
-  <!ENTITY git-time          "0.3 SBU (with parallelism=4; add 5.4 SBU for tests)">
+  <!ENTITY git-buildsize     "283 MB (with downloaded documentation)">
+  <!ENTITY git-time          "0.3 SBU (with parallelism=4; add 5.8 SBU for tests)">
 ]>
 
Index: general/sysutils/unrar.xml
===================================================================
--- general/sysutils/unrar.xml	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ general/sysutils/unrar.xml	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -7,5 +7,5 @@
   <!ENTITY unrar-download-http "http://www.rarlab.com/rar/unrarsrc-&unrar-version;.tar.gz">
   <!ENTITY unrar-download-ftp  " ">
-  <!ENTITY unrar-md5sum        "1726c7747a6308c2c9d26c6cb56f9c16">
+  <!ENTITY unrar-md5sum        "77ac238c38263013df62755249c6be17">
   <!ENTITY unrar-size          "224 KB">
   <!ENTITY unrar-buildsize     "2.1 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ introduction/welcome/changelog.xml	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -42,4 +42,38 @@
     </listitem>
 -->
+    <listitem>
+      <para>March 2nd, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to mkfontscale-1.2.0 (xorg app). Fixes
+          <ulink url="&blfs-ticket-root;11747">#11747</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to unrar-5.7.3. Fixes
+          <ulink url="&blfs-ticket-root;11725">#11725</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to talloc-2.1.16. Fixes
+          <ulink url="&blfs-ticket-root;11724">#11724</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libaio-0.3.112. Fixes
+          <ulink url="&blfs-ticket-root;11719">#11719</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to git-2.21.0. Fixes
+          <ulink url="&blfs-ticket-root;11717">#11717</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xfsprogs-4.20.0. Fixes
+          <ulink url="&blfs-ticket-root;11709">#11709</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cups-filters-1.22.1. Fixes
+          <ulink url="&blfs-ticket-root;11677">#11677</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>March 2nd, 2019</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ packages.ent	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -62,5 +62,5 @@
 <!ENTITY sshfs-version                "3.5.1">
 <!--<!ENTITY sshfs-fuse-download-version  "2_5">-->
-<!ENTITY xfsprogs-version             "4.19.0">
+<!ENTITY xfsprogs-version             "4.20.0">
 
 <!-- Chapter 6 -->
@@ -123,5 +123,5 @@
 <!ENTITY json-glib-version            "1.4.4">
 <!ENTITY keyutils-version             "1.6">
-<!ENTITY libaio-version               "0.3.111">
+<!ENTITY libaio-version               "0.3.112">
 <!ENTITY libarchive-version           "3.3.3">
 <!ENTITY libassuan-version            "2.5.3">
@@ -185,5 +185,5 @@
 <!ENTITY qjson-version                "0.8.1">
 <!ENTITY sbc-version                  "1.4">
-<!ENTITY talloc-version               "2.1.15">
+<!ENTITY talloc-version               "2.1.16">
 <!ENTITY telepathy-glib-version       "0.24.1">
 <!ENTITY wayland-version              "1.16.0">
@@ -298,5 +298,5 @@
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
 <!ENTITY udisks2-version              "2.8.1">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "5.7.2">
+<!ENTITY unrar-version                "5.7.3">
 <!ENTITY unzip-version                "6.0">
 <!ENTITY upower-version               "0.99.10">
@@ -324,5 +324,5 @@
 <!ENTITY gc-version                   "8.0.2">
 <!ENTITY gdb-version                  "8.2.1">
-<!ENTITY git-version                  "2.20.1">
+<!ENTITY git-version                  "2.21.0">
 <!ENTITY guile-version                "2.2.4">
 <!ENTITY librep-version               "0.92.7">
@@ -985,5 +985,5 @@
 <!-- Chapter 50 -->
 <!ENTITY cups-version                 "2.2.10">
-<!ENTITY cups-filters-version         "1.22.0">
+<!ENTITY cups-filters-version         "1.22.1">
 <!ENTITY gs-version                   "9.26">
 <!ENTITY gutenprint-version           "5.2.14">
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ postlfs/filesystems/xfsprogs.xml	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -7,5 +7,5 @@
   <!ENTITY xfsprogs-download-http "&kernel-dl;/linux/utils/fs/xfs/xfsprogs/xfsprogs-&xfsprogs-version;.tar.xz">
   <!ENTITY xfsprogs-download-ftp  " ">
-  <!ENTITY xfsprogs-md5sum        "90efd878b39b47a36a3771389590a667">
+  <!ENTITY xfsprogs-md5sum        "acd6640ecfc69a5328b61388093e9ba2">
   <!ENTITY xfsprogs-size          "1.2 MB">
   <!ENTITY xfsprogs-buildsize     "61 MB">
Index: pst/printing/cups-filters.xml
===================================================================
--- pst/printing/cups-filters.xml	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ pst/printing/cups-filters.xml	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -8,5 +8,5 @@
   "https://www.openprinting.org/download/cups-filters/cups-filters-&cups-filters-version;.tar.xz">
   <!ENTITY cups-filters-download-ftp  " ">
-  <!ENTITY cups-filters-md5sum        "7328b709f21d97486aad137de137d285">
+  <!ENTITY cups-filters-md5sum        "9fada504350d33111a7a1f242b9647a4">
   <!ENTITY cups-filters-size          "1.4 MB">
   <!ENTITY cups-filters-buildsize     "43 MB (with tests), 15MB installed">
Index: x/installing/x7app.xml
===================================================================
--- x/installing/x7app.xml	(revision 31f29e594156e3f2d743c9fb7fecd969d8fc9861)
+++ x/installing/x7app.xml	(revision 386756fdc8bc1e5beb99c435eb549fa0d42420f7)
@@ -23,6 +23,6 @@
   <!ENTITY mkfontdir-md5sum                "18c429148c96c2079edda922a2b67632">
 
-  <!ENTITY mkfontscale-version             "1.1.3">
-  <!ENTITY mkfontscale-md5sum              "987c438e79f5ddb84a9c5726a1610819">
+  <!ENTITY mkfontscale-version             "1.2.0">
+  <!ENTITY mkfontscale-md5sum              "efd40fd15dc5fc97c7b50cffbc1e7663">
 
   <!ENTITY sessreg-version                 "1.1.1">