Index: general.ent
===================================================================
--- general.ent	(revision ac278af2203cfac7272d2978a083130139d52f0d)
+++ general.ent	(revision 388747dd99ea0119411b7ad43a50c3fdd23ff497)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "12">                   <!-- Always 2 digits -->
+<!ENTITY day          "13">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 12th, &year;">
+<!ENTITY releasedate  "October 13th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ac278af2203cfac7272d2978a083130139d52f0d)
+++ introduction/welcome/changelog.xml	(revision 388747dd99ea0119411b7ad43a50c3fdd23ff497)
@@ -43,4 +43,18 @@
     -->
     <listitem>
+      <para>October 13th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to mupdf-1.18.0. Fixes
+          <ulink url="&blfs-ticket-root;14110">#14110</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mariadb-10.5.6. Fixes
+          <ulink url="&blfs-ticket-root;14109">#14109</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 12th, 2020</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision ac278af2203cfac7272d2978a083130139d52f0d)
+++ packages.ent	(revision 388747dd99ea0119411b7ad43a50c3fdd23ff497)
@@ -665,5 +665,5 @@
 <!ENTITY db-version                   "5.3.28">
 <!ENTITY lmdb-version                 "0.9.24">
-<!ENTITY mariadb-version              "10.5.5">
+<!ENTITY mariadb-version              "10.5.6">
 <!ENTITY postgresql-version           "13.0">
 <!ENTITY sqlite-version               "3.33.0">
@@ -1075,5 +1075,5 @@
 <!ENTITY epdfview-version             "0.1.8">
 <!ENTITY fop-version                  "2.5">
-<!ENTITY mupdf-version                "1.17.0">
+<!ENTITY mupdf-version                "1.18.0">
 <!ENTITY paps-version                 "0.7.1">
 
Index: pst/ps/mupdf.xml
===================================================================
--- pst/ps/mupdf.xml	(revision ac278af2203cfac7272d2978a083130139d52f0d)
+++ pst/ps/mupdf.xml	(revision 388747dd99ea0119411b7ad43a50c3fdd23ff497)
@@ -9,8 +9,8 @@
   <!ENTITY mupdf-download-http "http://www.mupdf.com/downloads/archive/mupdf-&mupdf-version;-source.tar.gz">
   <!ENTITY mupdf-download-ftp  " ">
-  <!ENTITY mupdf-md5sum        "f6ffcd81fcd4c57016eb630bcd617c50">
-  <!ENTITY mupdf-size          "62 MB">
-  <!ENTITY mupdf-buildsize     "301 MB">
-  <!ENTITY mupdf-time          "0.1 SBU (Using parallelism=4)">
+  <!ENTITY mupdf-md5sum        "6f42be1365350f05270f8776517a3872">
+  <!ENTITY mupdf-size          "69 MB">
+  <!ENTITY mupdf-buildsize     "322 MB">
+  <!ENTITY mupdf-time          "0.2 SBU (Using parallelism=4)">
 ]>
 
@@ -72,14 +72,4 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Recommended patch:
-          <ulink url="&patch-root;/mupdf-&mupdf-version;-shared_libs-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
     <bridgehead renderas="sect3">MuPDF Dependencies</bridgehead>
 
@@ -91,5 +81,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="freeglut"/>,
+      <!--<xref linkend="freeglut"/>, -->
       <xref linkend="harfbuzz"/>,
       <!-- This no-longer gets linked in with our system libs patch
@@ -120,4 +110,13 @@
     <title>Installation of MuPDF</title>
 
+    <para>First, fix the Makefile to link properly with the shared library:</para>
+
+<screen><userinput>sed -i '/MU.*_EXE. :/{
+        s/.(MUPDF_LIB)//
+        N
+        s/$/ -lmupdf/
+        }' Makefile</userinput></screen>
+
+
     <para>
       Install <application>MuPDF</application> by running the following
@@ -125,7 +124,22 @@
     </para>
 
-<screen><userinput>patch -Np1 -i ../mupdf-&mupdf-version;-shared_libs-1.patch &amp;&amp;
-
-USE_SYSTEM_LIBS=yes make</userinput></screen>
+<screen><userinput>cat &gt; user.make &lt;&lt; EOF &amp;&amp;
+USE_SYSTEM_FREETYPE := yes
+USE_SYSTEM_HARFBUZZ := yes
+USE_SYSTEM_JBIG2DEC := no
+USE_SYSTEM_JPEGXR := no # not used without HAVE_JPEGXR
+USE_SYSTEM_LCMS2 := no # need lcms2-art fork
+USE_SYSTEM_LIBJPEG := yes
+USE_SYSTEM_MUJS := no # build needs source anyways
+USE_SYSTEM_OPENJPEG := yes
+USE_SYSTEM_ZLIB := yes
+USE_SYSTEM_GLUT := no # need freeglut2-art fork
+USE_SYSTEM_CURL := yes
+USE_SYSTEM_GUMBO := no
+EOF
+
+export XCFLAGS=-fPIC          &amp;&amp;
+make build=release shared=yes &amp;&amp;
+unset XCFLAGS</userinput></screen>
 
     <para>
@@ -137,12 +151,11 @@
     </para>
 
-<screen role="root"><userinput>USE_SYSTEM_LIBS=yes                     \
-make prefix=/usr                        \
-     build=release                      \
+<screen role="root"><userinput>make prefix=/usr                        \
+     shared=yes                         \
      docdir=/usr/share/doc/mupdf-&mupdf-version; \
      install                            &amp;&amp;
 
-ln -sfv mupdf-x11 /usr/bin/mupdf        &amp;&amp;
-ldconfig</userinput></screen>
+chmod 755 /usr/lib/libmupdf.so          &amp;&amp;
+ln -sfv mupdf-x11 /usr/bin/mupdf</userinput></screen>
 
   </sect2>
@@ -172,12 +185,10 @@
           mupdf-gl, 
           mupdf-x11, 
+          mupdf-x11-curl,
           muraster, and
           mutool
         </seg>
         <seg>
-          libmupdf.so, 
-          libmupdfthird.so, 
-          libmupdf-pkcs7.so, and 
-          libmupdf-threads.so
+          libmupdf.so
         </seg>
         <seg>
@@ -268,16 +279,4 @@
       </varlistentry>
 
-      <varlistentry id="libmupdfthird">
-        <term><filename class="libraryfile">libmupdfthird.so</filename></term>
-        <listitem>
-          <para>
-            contains the third party libraries compiled for mudpf.
-          </para>
-          <indexterm zone="mupdf libmupdfthird">
-            <primary sortas="c-libmupdfthird">libmupdfthird.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
     </variablelist>
 
Index: server/databases/mariadb.xml
===================================================================
--- server/databases/mariadb.xml	(revision ac278af2203cfac7272d2978a083130139d52f0d)
+++ server/databases/mariadb.xml	(revision 388747dd99ea0119411b7ad43a50c3fdd23ff497)
@@ -8,8 +8,8 @@
   <!ENTITY mariadb-download-http "https://downloads.mariadb.org/interstitial/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz"> 
   <!ENTITY mariadb-download-ftp  "ftp://mirrors.fe.up.pt/pub/mariadb/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz">
-  <!ENTITY mariadb-md5sum        "1604076fb0ba31c8c4ed78cbbf10a148">
+  <!ENTITY mariadb-md5sum        "add57692b7a6888c3ffb304222e2cb80">
   <!ENTITY mariadb-size          "83 MB">
-  <!ENTITY mariadb-buildsize     "1.7 GB (639 MB installed)">
-  <!ENTITY mariadb-time          "9.4 SBU (with parallelism=4, add 0.4 SBU for tests)">
+  <!ENTITY mariadb-buildsize     "2.3 GB (639 MB installed)">
+  <!ENTITY mariadb-time          "7.0 SBU (with parallelism=4, add 0.5 SBU for tests)">
 ]>
 