Index: general/genlib/js78.xml
===================================================================
--- general/genlib/js78.xml	(revision 71654ad3ed973d2ef8cd3fe52b2185a98d927b8e)
+++ general/genlib/js78.xml	(revision 393517d31b60f0676d7d2e20c67bbb23fe44a3fb)
@@ -9,7 +9,7 @@
   <!ENTITY js78-download-ftp  " ">
   <!-- 78.4.1 -->
-  <!ENTITY js78-md5sum        "ec12a707c129a98fb957e4123eadce84">
+  <!ENTITY js78-md5sum        "154f790f56b0a7aa344947c45accad5d">
   <!ENTITY js78-size          "319 MB">
-  <!ENTITY js78-buildsize     "2.9 GB (36 MB installed after removing 35MB static lib)">
+  <!ENTITY js78-buildsize     "3.0 GB (36 MB installed after removing 35MB static lib)">
   <!ENTITY js78-time          "2.5 SBU (with parallelism = 4)">
 ]>
@@ -187,9 +187,13 @@
       It's recommended to redirect the output into a log.
       <!-- recheck when ICU gets upgraded -->
-      Fourteen JS tests related to locale and timezone are known to fail,
+      <!-- ken: removed "are known to fail' becasue there are
+       4096 known failures, these icu items are unexpected failures
+       and I found the wording confusing  -->
+      Ten JS tests related to locale and timezone fail,
       because of an issue in <xref linkend="icu"/>.
-      To run JIT test suite, issue:
+      To run the JIT test suite, issue:
       <command>make -C js/src check-jit-test
-      JITTEST_EXTRA_ARGS="--timeout 300"</command>.
+      JITTEST_EXTRA_ARGS="--timeout 300"</command>. Again, a few tests
+      may show as unexpected failures.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 71654ad3ed973d2ef8cd3fe52b2185a98d927b8e)
+++ introduction/welcome/changelog.xml	(revision 393517d31b60f0676d7d2e20c67bbb23fe44a3fb)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[ken] - Update to Firefox-78.5.0 and JS78-78.5.0. Fixes
+          <ulink url="&blfs-ticket-root;14250">#14250</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to paxmirabilis-20201030 (pax). Fixes
           <ulink url="&blfs-ticket-root;14248">#14248</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 71654ad3ed973d2ef8cd3fe52b2185a98d927b8e)
+++ packages.ent	(revision 393517d31b60f0676d7d2e20c67bbb23fe44a3fb)
@@ -914,5 +914,5 @@
 <!ENTITY falkon-minor-version         "0">
 <!ENTITY falkon-version               "&falkon-major-version;.&falkon-minor-version;">
-<!ENTITY firefox-version              "78.4.1">
+<!ENTITY firefox-version              "78.5.0">
 <!ENTITY flashplayer-version          "27.0.0.187">
 <!ENTITY qupzilla-version             "2.2.6">
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision 71654ad3ed973d2ef8cd3fe52b2185a98d927b8e)
+++ xsoft/graphweb/firefox.xml	(revision 393517d31b60f0676d7d2e20c67bbb23fe44a3fb)
@@ -7,9 +7,9 @@
   <!ENTITY firefox-download-http "&mozilla-http;/firefox/releases/&firefox-version;esr/source/firefox-&firefox-version;esr.source.tar.xz">
   <!ENTITY firefox-download-ftp  " ">
-  <!ENTITY firefox-md5sum        "ec12a707c129a98fb957e4123eadce84">
+  <!ENTITY firefox-md5sum        "154f790f56b0a7aa344947c45accad5d">
   <!ENTITY firefox-size          "319 MB">
   <!-- NB with stylo, much of the build uses rust, and therefore cargo files.
     But the extra cached cargo files, if any, seem to be minimal -->
-  <!ENTITY firefox-buildsize     "5.0 GB (185 MB installed) without tests">
+  <!ENTITY firefox-buildsize     "5.1 GB (185 MB installed) without tests">
   <!-- editors: with ff63 and rust-1.29, ./mach build -j4 is probably the
    most practical way to get a timing on a machine with more cores, if taking
@@ -76,5 +76,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+<!--<bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -84,5 +84,5 @@
         </para>
       </listitem>
-    </itemizedlist>
+    </itemizedlist>-->
 
     <note>
@@ -305,5 +305,5 @@
      <para>
        In the esr version of firefox-78, the code to ensure that add-ons
-       are signed by the trused root has been disabled, presumably for
+       are signed by the trusted root has been disabled, presumably for
        organizations which require their own add-ons. To enable it as an
        added security measure issue the following command:
@@ -356,9 +356,9 @@
 esac</userinput></screen>
     -->
-    <para>
+<!--<para>
       Apply a patch to allow this to be compiled with <xref linkend="rust"/>:
     </para>
 
-<screen><userinput remap="pre">patch -p1 -i ../firefox-&firefox-version;esr-rustc1470-1.patch</userinput></screen>
+<screen><userinput remap="pre">patch -p1 -i ../firefox-&firefox-version;esr-rustc1470-1.patch</userinput></screen>-->
 
     <para>